-- add name to char sheet, steal from TRP3?

-- consider how to do archclasses (maybe officer note?)


-- add integration with dm.lua for: EXP gain
-- add integration with feats.lua for: feats, feat stat changes, max number of feats
-- add integration with utilities.lua for: roll helpers read stats, class abilities
-- add integration with officer.lua for: EXP gain
-- consider item.lua and its effect on stuff 

local AenVersion = "AenRPG - Version 1.0 (06/05/17)"

AenRPG = LibStub("AceAddon-3.0"):NewAddon("AenRPG")



local STRMod
local DEXMod
local CONMod
local INTMod
local WISMod
local CHAMod
local AenHP = 0
local AenMANA = 0
local AenBLOCK = 0
local AenDODGE = 0
local AenMR = 0
local AenEXPGOAL
local RACEName = "Race"
local CLASSName = "Class"
local SPECName = "Spec"
local SPspent = 0
local LVLUp = 0
local TempEXP = 0
local ClassChosen = 0
local RaceChosen = 0
local SpecChosen = 0
local ASPText1 = "Not set"
local ASPText2 = "Not set"
local ASPText3 = "Not set"
local ASPText4 = "Not set"
local ASPText5 = "Not set"
local ASPText6 = "Not set"
local BonusHP = 0
local BonusMANA = 0
local BonusBLOCK = 0
local BonusDODGE = 0
local BonusMR = 0

function RACEReset()
	if AenSaves.AenRACE == 0 then RACEName = "Race"
		elseif AenSaves.AenRACE == 1 then RACEName = "Human"
		elseif AenSaves.AenRACE == 2 then RACEName = "Dwarf"
		elseif AenSaves.AenRACE == 3 then RACEName = "High Elf"
		elseif AenSaves.AenRACE == 4 then RACEName = "Worgen"
	end
end

function CLASSReset()
	if AenSaves.AenCLASS == 0 then CLASSName = "Class"
		elseif AenSaves.AenCLASS == 1 then CLASSName = "Paladin"
		elseif AenSaves.AenCLASS == 2 then CLASSName = "Warrior"
		elseif AenSaves.AenCLASS == 3 then CLASSName = "Shaman"
		elseif AenSaves.AenCLASS == 4 then CLASSName = "Rogue"
		elseif AenSaves.AenCLASS == 5 then CLASSName = "Priest"
		elseif AenSaves.AenCLASS == 6 then CLASSName = "Druid"
		elseif AenSaves.AenCLASS == 7 then CLASSName = "Hunter"
		elseif AenSaves.AenCLASS == 8 then CLASSName = "Mage"
	end
end


-- start of modifier calculations
function STRModReset()
	if AenSaves.AenSTR == 0 then STRMod = -10
		elseif AenSaves.AenSTR == 1 then STRMod = -9
		elseif AenSaves.AenSTR == 2 then STRMod = -8
		elseif AenSaves.AenSTR == 3 then STRMod = -7
		elseif AenSaves.AenSTR == 4 then STRMod = -6
		elseif AenSaves.AenSTR == 5 then STRMod = -5
		elseif AenSaves.AenSTR == 6 then STRMod = -4 
		elseif AenSaves.AenSTR == 7 then STRMod = -3
		elseif AenSaves.AenSTR == 8 then STRMod = -2 
		elseif AenSaves.AenSTR == 9 then STRMod = -1
		elseif AenSaves.AenSTR == 10 then STRMod = 0
		elseif AenSaves.AenSTR == 11 then STRMod = 0
		elseif AenSaves.AenSTR == 12 then STRMod = 1
		elseif AenSaves.AenSTR == 13 then STRMod = 1
		elseif AenSaves.AenSTR == 14 then STRMod = 2
		elseif AenSaves.AenSTR == 15 then STRMod = 2
		elseif AenSaves.AenSTR == 16 then STRMod = 3
		elseif AenSaves.AenSTR == 17 then STRMod = 3
		elseif AenSaves.AenSTR == 18 then STRMod = 4
		elseif AenSaves.AenSTR == 19 then STRMod = 4
		elseif AenSaves.AenSTR == 20 then STRMod = 5
		elseif AenSaves.AenSTR == 21 then STRMod = 5
		elseif AenSaves.AenSTR == 22 then STRMod = 6
		elseif AenSaves.AenSTR == 23 then STRMod = 6
		elseif AenSaves.AenSTR == 24 then STRMod = 7
		elseif AenSaves.AenSTR == 25 then STRMod = 7
		elseif AenSaves.AenSTR == 26 then STRMod = 8
		elseif AenSaves.AenSTR == 27 then STRMod = 8
		elseif AenSaves.AenSTR == 28 then STRMod = 9
		elseif AenSaves.AenSTR == 29 then STRMod = 9
		elseif AenSaves.AenSTR == 30 then STRMod = 10
	end
end

function DEXModReset()
	if AenSaves.AenDEX == 0 then DEXMod = -10
		elseif AenSaves.AenDEX == 1 then DEXMod = -9
		elseif AenSaves.AenDEX == 2 then DEXMod = -8
		elseif AenSaves.AenDEX == 3 then DEXMod = -7
		elseif AenSaves.AenDEX == 4 then DEXMod = -6
		elseif AenSaves.AenDEX == 5 then DEXMod = -5
		elseif AenSaves.AenDEX == 6 then DEXMod = -4 
		elseif AenSaves.AenDEX == 7 then DEXMod = -3
		elseif AenSaves.AenDEX == 8 then DEXMod = -2 
		elseif AenSaves.AenDEX == 9 then DEXMod = -1
		elseif AenSaves.AenDEX == 10 then DEXMod = 0
		elseif AenSaves.AenDEX == 11 then DEXMod = 0
		elseif AenSaves.AenDEX == 12 then DEXMod = 1
		elseif AenSaves.AenDEX == 13 then DEXMod = 1
		elseif AenSaves.AenDEX == 14 then DEXMod = 2
		elseif AenSaves.AenDEX == 15 then DEXMod = 2
		elseif AenSaves.AenDEX == 16 then DEXMod = 3
		elseif AenSaves.AenDEX == 17 then DEXMod = 3
		elseif AenSaves.AenDEX == 18 then DEXMod = 4
		elseif AenSaves.AenDEX == 19 then DEXMod = 4
		elseif AenSaves.AenDEX == 20 then DEXMod = 5
		elseif AenSaves.AenDEX == 21 then DEXMod = 5
		elseif AenSaves.AenDEX == 22 then DEXMod = 6
		elseif AenSaves.AenDEX == 23 then DEXMod = 6
		elseif AenSaves.AenDEX == 24 then DEXMod = 7
		elseif AenSaves.AenDEX == 25 then DEXMod = 7
		elseif AenSaves.AenDEX == 26 then DEXMod = 8
		elseif AenSaves.AenDEX == 27 then DEXMod = 8
		elseif AenSaves.AenDEX == 28 then DEXMod = 9
		elseif AenSaves.AenDEX == 29 then DEXMod = 9
		elseif AenSaves.AenDEX == 30 then DEXMod = 10
	end
end

function CONModReset()
	if AenSaves.AenCON == 0 then CONMod = -10
		elseif AenSaves.AenCON == 1 then CONMod = -9
		elseif AenSaves.AenCON == 2 then CONMod = -8
		elseif AenSaves.AenCON == 3 then CONMod = -7
		elseif AenSaves.AenCON == 4 then CONMod = -6
		elseif AenSaves.AenCON == 5 then CONMod = -5
		elseif AenSaves.AenCON == 6 then CONMod = -4 
		elseif AenSaves.AenCON == 7 then CONMod = -3
		elseif AenSaves.AenCON == 8 then CONMod = -2 
		elseif AenSaves.AenCON == 9 then CONMod = -1
		elseif AenSaves.AenCON == 10 then CONMod = 0
		elseif AenSaves.AenCON == 11 then CONMod = 0
		elseif AenSaves.AenCON == 12 then CONMod = 1
		elseif AenSaves.AenCON == 13 then CONMod = 1
		elseif AenSaves.AenCON == 14 then CONMod = 2
		elseif AenSaves.AenCON == 15 then CONMod = 2
		elseif AenSaves.AenCON == 16 then CONMod = 3
		elseif AenSaves.AenCON == 17 then CONMod = 3
		elseif AenSaves.AenCON == 18 then CONMod = 4
		elseif AenSaves.AenCON == 19 then CONMod = 4
		elseif AenSaves.AenCON == 20 then CONMod = 5
		elseif AenSaves.AenCON == 21 then CONMod = 5
		elseif AenSaves.AenCON == 22 then CONMod = 6
		elseif AenSaves.AenCON == 23 then CONMod = 6
		elseif AenSaves.AenCON == 24 then CONMod = 7
		elseif AenSaves.AenCON == 25 then CONMod = 7
		elseif AenSaves.AenCON == 26 then CONMod = 8
		elseif AenSaves.AenCON == 27 then CONMod = 8
		elseif AenSaves.AenCON == 28 then CONMod = 9
		elseif AenSaves.AenCON == 29 then CONMod = 9
		elseif AenSaves.AenCON == 30 then CONMod = 10
	end
end

function INTModReset()
	if AenSaves.AenINT == 0 then INTMod = -10
		elseif AenSaves.AenINT == 1 then INTMod = -9
		elseif AenSaves.AenINT == 2 then INTMod = -8
		elseif AenSaves.AenINT == 3 then INTMod = -7
		elseif AenSaves.AenINT == 4 then INTMod = -6
		elseif AenSaves.AenINT == 5 then INTMod = -5
		elseif AenSaves.AenINT == 6 then INTMod = -4 
		elseif AenSaves.AenINT == 7 then INTMod = -3
		elseif AenSaves.AenINT == 8 then INTMod = -2 
		elseif AenSaves.AenINT == 9 then INTMod = -1
		elseif AenSaves.AenINT == 10 then INTMod = 0
		elseif AenSaves.AenINT == 11 then INTMod = 0
		elseif AenSaves.AenINT == 12 then INTMod = 1
		elseif AenSaves.AenINT == 13 then INTMod = 1
		elseif AenSaves.AenINT == 14 then INTMod = 2
		elseif AenSaves.AenINT == 15 then INTMod = 2
		elseif AenSaves.AenINT == 16 then INTMod = 3
		elseif AenSaves.AenINT == 17 then INTMod = 3
		elseif AenSaves.AenINT == 18 then INTMod = 4
		elseif AenSaves.AenINT == 19 then INTMod = 4
		elseif AenSaves.AenINT == 20 then INTMod = 5
		elseif AenSaves.AenINT == 21 then INTMod = 5
		elseif AenSaves.AenINT == 22 then INTMod = 6
		elseif AenSaves.AenINT == 23 then INTMod = 6
		elseif AenSaves.AenINT == 24 then INTMod = 7
		elseif AenSaves.AenINT == 25 then INTMod = 7
		elseif AenSaves.AenINT == 26 then INTMod = 8
		elseif AenSaves.AenINT == 27 then INTMod = 8
		elseif AenSaves.AenINT == 28 then INTMod = 9
		elseif AenSaves.AenINT == 29 then INTMod = 9
		elseif AenSaves.AenINT == 30 then INTMod = 10
	end
end

function WISModReset()
	if AenSaves.AenWIS == 0 then WISMod = -10
		elseif AenSaves.AenWIS == 1 then WISMod = -9
		elseif AenSaves.AenWIS == 2 then WISMod = -8
		elseif AenSaves.AenWIS == 3 then WISMod = -7
		elseif AenSaves.AenWIS == 4 then WISMod = -6
		elseif AenSaves.AenWIS == 5 then WISMod = -5
		elseif AenSaves.AenWIS == 6 then WISMod = -4 
		elseif AenSaves.AenWIS == 7 then WISMod = -3
		elseif AenSaves.AenWIS == 8 then WISMod = -2 
		elseif AenSaves.AenWIS == 9 then WISMod = -1
		elseif AenSaves.AenWIS == 10 then WISMod = 0
		elseif AenSaves.AenWIS == 11 then WISMod = 0
		elseif AenSaves.AenWIS == 12 then WISMod = 1
		elseif AenSaves.AenWIS == 13 then WISMod = 1
		elseif AenSaves.AenWIS == 14 then WISMod = 2
		elseif AenSaves.AenWIS == 15 then WISMod = 2
		elseif AenSaves.AenWIS == 16 then WISMod = 3
		elseif AenSaves.AenWIS == 17 then WISMod = 3
		elseif AenSaves.AenWIS == 18 then WISMod = 4
		elseif AenSaves.AenWIS == 19 then WISMod = 4
		elseif AenSaves.AenWIS == 20 then WISMod = 5
		elseif AenSaves.AenWIS == 21 then WISMod = 5
		elseif AenSaves.AenWIS == 22 then WISMod = 6
		elseif AenSaves.AenWIS == 23 then WISMod = 6
		elseif AenSaves.AenWIS == 24 then WISMod = 7
		elseif AenSaves.AenWIS == 25 then WISMod = 7
		elseif AenSaves.AenWIS == 26 then WISMod = 8
		elseif AenSaves.AenWIS == 27 then WISMod = 8
		elseif AenSaves.AenWIS == 28 then WISMod = 9
		elseif AenSaves.AenWIS == 29 then WISMod = 9
		elseif AenSaves.AenWIS == 30 then WISMod = 10
	end
end

function CHAModReset()
	if AenSaves.AenCHA == 0 then CHAMod = -10
		elseif AenSaves.AenCHA == 1 then CHAMod = -9
		elseif AenSaves.AenCHA == 2 then CHAMod = -8
		elseif AenSaves.AenCHA == 3 then CHAMod = -7
		elseif AenSaves.AenCHA == 4 then CHAMod = -6
		elseif AenSaves.AenCHA == 5 then CHAMod = -5
		elseif AenSaves.AenCHA == 6 then CHAMod = -4 
		elseif AenSaves.AenCHA == 7 then CHAMod = -3
		elseif AenSaves.AenCHA == 8 then CHAMod = -2 
		elseif AenSaves.AenCHA == 9 then CHAMod = -1
		elseif AenSaves.AenCHA == 10 then CHAMod = 0
		elseif AenSaves.AenCHA == 11 then CHAMod = 0
		elseif AenSaves.AenCHA == 12 then CHAMod = 1
		elseif AenSaves.AenCHA == 13 then CHAMod = 1
		elseif AenSaves.AenCHA == 14 then CHAMod = 2
		elseif AenSaves.AenCHA == 15 then CHAMod = 2
		elseif AenSaves.AenCHA == 16 then CHAMod = 3
		elseif AenSaves.AenCHA == 17 then CHAMod = 3
		elseif AenSaves.AenCHA == 18 then CHAMod = 4
		elseif AenSaves.AenCHA == 19 then CHAMod = 4
		elseif AenSaves.AenCHA == 20 then CHAMod = 5
		elseif AenSaves.AenCHA == 21 then CHAMod = 5
		elseif AenSaves.AenCHA == 22 then CHAMod = 6
		elseif AenSaves.AenCHA == 23 then CHAMod = 6
		elseif AenSaves.AenCHA == 24 then CHAMod = 7
		elseif AenSaves.AenCHA == 25 then CHAMod = 7
		elseif AenSaves.AenCHA == 26 then CHAMod = 8
		elseif AenSaves.AenCHA == 27 then CHAMod = 8
		elseif AenSaves.AenCHA == 28 then CHAMod = 9
		elseif AenSaves.AenCHA == 29 then CHAMod = 9
		elseif AenSaves.AenCHA == 30 then CHAMod = 10
	end
end


-- start of misc calculations
function HPReset()
	if AenSaves.AenCLASS == 1 or AenSaves.AenCLASS == 2
		then AenHP = 10 + (AenSaves.AenLVL*5) + (CONMod*5) + BonusHP
	elseif AenSaves.AenCLASS == 3 or AenSaves.AenCLASS == 7
		then AenHP = 10 + (AenSaves.AenLVL*4) + (CONMod*5) + BonusHP
	elseif AenSaves.AenCLASS == 4 or AenSaves.AenCLASS == 6
		then AenHP = 10 + (AenSaves.AenLVL*4) + (CONMod*5) + BonusHP
	elseif AenSaves.AenCLASS == 8 or AenSaves.AenCLASS == 5
		then AenHP = 10 + (AenSaves.AenLVL*3) + (CONMod*5) + BonusHP
	end
end

function MANAReset()
	if AenSaves.AenCLASS == 8
		then AenMANA = 10 + ((AenSaves.AenLVL-1)*10) + (INTMod*10) + BonusMANA
	elseif AenSaves.AenCLASS ~= 0 and AenSaves.AenCLASS ~= 8
		then AenMANA = 10 + ((AenSaves.AenLVL-1)*10) + (WISMod*10) + BonusMANA
	end
end

function BLOCKReset() -- needs a "check for shield" argument and item stuff
	if AenSaves.AenCLASS == 1 or AenSaves.AenCLASS == 2
		then AenBLOCK = 10 + 4 + CONMod + BonusBLOCK
	elseif AenSaves.AenCLASS == 3 or AenSaves.AenCLASS == 7
		then AenBLOCK = 10 + 3 + CONMod + BonusBLOCK
	elseif AenSaves.AenCLASS == 4 or AenSaves.AenCLASS == 6
		then AenBLOCK = 10 + 2 + CONMod + BonusBLOCK
	elseif AenSaves.AenCLASS == 8 or AenSaves.AenCLASS == 5
		then AenBLOCK = 10 + CONMod + BonusBLOCK
	end
end

function DODGEReset() -- needs item stuff
	if AenSaves.AenCLASS == 1 or AenSaves.AenCLASS == 2
		then AenDODGE = 10 - 2 + DEXMod + BonusDODGE
	elseif AenSaves.AenCLASS == 3 or AenSaves.AenCLASS == 7
		then AenDODGE = 10 - 1 + DEXMod + BonusDODGE
	elseif AenSaves.AenCLASS == 4 or AenSaves.AenCLASS == 6
		then AenDODGE = 10 + 2 + DEXMod + BonusDODGE
	elseif AenSaves.AenCLASS == 8 or AenSaves.AenCLASS == 5
		then AenDODGE = 10 + DEXMod + BonusDODGE
	end
end

function MRReset() -- needs item stuff
	if AenSaves.AenCLASS == 1 or AenSaves.AenCLASS == 3 or AenSaves.AenCLASS == 5 or AenSaves.AenCLASS == 8
		then AenMR = 10 + 1 + WISMod + BonusMR
	elseif AenSaves.AenCLASS == 2 or AenSaves.AenCLASS == 4 or AenSaves.AenCLASS == 6 or AenSaves.AenCLASS == 7
		then AenMR = 10 + WISMod + BonusMR
	end
end

function EXPGoalReset()
	if AenSaves.AenLVL == 4 then AenEXPGOAL = 3500 end
	if AenSaves.AenLVL == 5 then AenEXPGOAL = 4500 end
	if AenSaves.AenLVL == 6 then AenEXPGOAL = 5500 end
	if AenSaves.AenLVL == 7 then AenEXPGOAL = 6500 end
	if AenSaves.AenLVL == 8 then AenEXPGOAL = 7500 end
	if AenSaves.AenLVL == 9 then AenEXPGOAL = 8500 end
	if AenSaves.AenLVL == 10 then AenEXPGOAL = 9500 end
	if AenSaves.AenLVL == 11 then AenEXPGOAL = 10500 end
	if AenSaves.AenLVL == 12 then AenEXPGOAL = 11500 end
	if AenSaves.AenLVL == 13 then AenEXPGOAL = 12500 end
	if AenSaves.AenLVL == 14 then AenEXPGOAL = 13500 end
	if AenSaves.AenLVL == 15 then AenEXPGOAL = 14500 end
	if AenSaves.AenLVL == 16 then AenEXPGOAL = 15500 end
	if AenSaves.AenLVL == 17 then AenEXPGOAL = 16500 end
	if AenSaves.AenLVL == 18 then AenEXPGOAL = 17500 end
	if AenSaves.AenLVL == 19 then AenEXPGOAL = 18500 end
	if AenSaves.AenLVL == 20 then AenEXPGOAL = 999999 end
end




-- start of framework
local SheetFrame = CreateFrame("frame")
SheetFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
SheetFrame:SetFrameStrata("Medium")
SheetFrame:SetWidth(350)
SheetFrame:SetHeight(600)
SheetFrame:SetPoint("CENTER",UIParent)
SheetFrame:EnableMouse(true)
SheetFrame:SetMovable(true)
SheetFrame:RegisterForDrag("LeftButton")
SheetFrame:SetScript("OnDragStart", SheetFrame.StartMoving)
SheetFrame:SetScript("OnDragStop", SheetFrame.StopMovingOrSizing)
SheetFrame:Hide()


-- version text
local VERSText = SheetFrame:CreateFontString()
VERSText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
VERSText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",175,-585)
VERSText:SetText(""..AenVersion.."")

-- Strength Font
local STRText = SheetFrame:CreateFontString()
STRText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
STRText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",75,-100)
STRText:SetText("Strength:")

-- Dexterity Font
local DEXText = SheetFrame:CreateFontString()
DEXText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
DEXText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",72,-125)
DEXText:SetText("Dexterity:")

-- Intelligence Font
local INTText = SheetFrame:CreateFontString()
INTText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
INTText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",62,-150)
INTText:SetText("Intelligence:")

-- Wisdom Font
local WISText = SheetFrame:CreateFontString()
WISText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
WISText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",76,-175)
WISText:SetText("Wisdom:")

-- Constitution Font
local CONText = SheetFrame:CreateFontString()
CONText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
CONText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",62,-200)
CONText:SetText("Constitution:")

-- Charisma Font
local CHAText = SheetFrame:CreateFontString()
CHAText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
CHAText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",72,-225)
CHAText:SetText("Charisma:")

-- Strength Editbox
local STRBox = CreateFrame("editbox", "STRBox", SheetFrame, "InputBoxTemplate")
STRBox:Disable()
STRBox:SetWidth(20)
STRBox:SetHeight(20)
STRBox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",125,-103)

-- Dexterity Editbox
local DEXBox = CreateFrame("editbox", "DEXBox", SheetFrame, "InputBoxTemplate")
DEXBox:Disable()
DEXBox:SetWidth(20)
DEXBox:SetHeight(20)
DEXBox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",125,-128)

-- Intelligence Editbox
local INTBox = CreateFrame("editbox", "INTBox", SheetFrame, "InputBoxTemplate")
INTBox:Disable()
INTBox:SetWidth(20)
INTBox:SetHeight(20)
INTBox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 125,-153)

-- Wisdom Editbox
local WISBox = CreateFrame("editbox", "WISBox", SheetFrame, "InputBoxTemplate")
WISBox:Disable()
WISBox:SetWidth(20)
WISBox:SetHeight(20)
WISBox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 125,-177)

-- Constitution Editbox
local CONBox = CreateFrame("editbox", "CONBox", SheetFrame, "InputBoxTemplate")
CONBox:Disable()
CONBox:SetWidth(20)
CONBox:SetHeight(20)
CONBox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 125, -203)

-- Charisma Editbox
local CHABOX = CreateFrame("editbox", "CHABox", SheetFrame, "InputBoxTemplate")
CHABox:Disable()
CHABox:SetWidth(20)
CHABox:SetHeight(20)
CHABox:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 125,-227)

-- Strength Modifier
local STRModText = SheetFrame:CreateFontString()
STRModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
STRModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",148,-100)

-- Dexterity Modifier
local DEXModText = SheetFrame:CreateFontString()
DEXModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
DEXModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",148,-125)

-- Intelligence Modifier
local INTModText = SheetFrame:CreateFontString()
INTModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
INTModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 148,-150)

-- Wisdom Modifier
local WISModText = SheetFrame:CreateFontString()
WISModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
WISModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 148,-175)

-- Constitution Modifier
local CONModText = SheetFrame:CreateFontString()
CONModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
CONModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 148,-200)

-- Charisma Modifier
local CHAModText = SheetFrame:CreateFontString()
CHAModText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
CHAModText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 148,-225)

-- Level
local LVLCurrent = SheetFrame:CreateFontString()
LVLCurrent:SetFont("Fonts\\FRIZQT__.TTF",16,nil)
LVLCurrent:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",71,-40)

-- EXP current
local EXPCurrent = SheetFrame:CreateFontString()
EXPCurrent:SetFont("Fonts\\FRIZQT__.TTF",16,nil)
EXPCurrent:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",90,-70)

-- Stat points left
local SPLeft = SheetFrame:CreateFontString()
SPLeft:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
SPLeft:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",130,-255)

local HPText = SheetFrame:CreateFontString()
HPText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
HPText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",205,-70)
HPText:SetText("HP: "..AenHP.."")

local MANAText = SheetFrame:CreateFontString()
MANAText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
MANAText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-70)
MANAText:SetText("Mana: "..AenMANA.."")

local BLOCKText = SheetFrame:CreateFontString()
BLOCKText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
BLOCKText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",257,-175)
BLOCKText:SetText("Block: "..AenBLOCK.."")

local DODGEText = SheetFrame:CreateFontString()
DODGEText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
DODGEText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",260,-200)
DODGEText:SetText("Dodge: "..AenDODGE.."")

local MRText = SheetFrame:CreateFontString()
MRText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
MRText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",278,-225)
MRText:SetText("Magic Resist: "..AenMR.."")


-- DONE button (no script)
local DoneSPBtn = CreateFrame("button", "DoneSPBtn", SheetFrame, "UIPanelButtonTemplate")
local DoneSPText = DoneSPBtn:CreateFontString()
DoneSPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
DoneSPText:SetAllPoints(DoneSPBtn)
DoneSPBtn:SetHeight(25)
DoneSPBtn:SetWidth(100)
DoneSPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-260)
DoneSPBtn:SetFontString(DoneSPText)
DoneSPBtn:SetText("Spend Points")
DoneSPBtn:Hide()

function DoneSPFire()
	if AenSaves.AenSP == 0 then
		DoneSPBtn:Show()
	else
		DoneSPBtn:Hide()
	end
end


-- level up button (hidden be default)
local LVLUpBtn = CreateFrame("button", "LVLUpBtn", SheetFrame, "UIPanelButtonTemplate")
local LVLUpText = LVLUpBtn:CreateFontString()
LVLUpText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
LVLUpText:SetAllPoints(LVLUpBtn)
LVLUpBtn:SetHeight(25)
LVLUpBtn:SetWidth(100)
LVLUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",180,-45)
LVLUpBtn:SetFontString(LVLUpText)
LVLUpBtn:SetText("Level up!")
LVLUpBtn:Hide()

-- level up button (no script)
function LevelUp()
	if AenSaves.AenEXP >= AenEXPGOAL then
		LVLUpBtn:Show()
	else
	end
end

-- aspect button 1 (no script)
local ONEASPBtn = CreateFrame("button", "ONEASPBtn", SheetFrame, "UIPanelButtonTemplate")
local ONEASPText = ONEASPBtn:CreateFontString()
ONEASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
ONEASPText:SetAllPoints(ONEASPBtn)
ONEASPBtn:SetHeight(25)
ONEASPBtn:SetWidth(75)
ONEASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-425)
ONEASPBtn:SetFontString(ONEASPText)
ONEASPBtn:SetText("Aspect I")

-- aspect button 2 (no script)
local TWOASPBtn = CreateFrame("button", "TWOASPBtn", SheetFrame, "UIPanelButtonTemplate")
local TWOASPText = TWOASPBtn:CreateFontString()
TWOASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
TWOASPText:SetAllPoints(TWOASPBtn)
TWOASPBtn:SetHeight(25)
TWOASPBtn:SetWidth(75)
TWOASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-450)
TWOASPBtn:SetFontString(TWOASPText)
TWOASPBtn:SetText("Aspect II")

-- aspect button 3 (no script)
local THREEASPBtn = CreateFrame("button", "THREEASPBtn", SheetFrame, "UIPanelButtonTemplate")
local THREEASPText = THREEASPBtn:CreateFontString()
THREEASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
THREEASPText:SetAllPoints(THREEASPBtn)
THREEASPBtn:SetHeight(25)
THREEASPBtn:SetWidth(75)
THREEASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-475)
THREEASPBtn:SetFontString(THREEASPText)
THREEASPBtn:SetText("Aspect III")

-- aspect button 4 (no script)
local FOURASPBtn = CreateFrame("button", "FOURASPBtn", SheetFrame, "UIPanelButtonTemplate")
local FOURASPText = FOURASPBtn:CreateFontString()
FOURASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
FOURASPText:SetAllPoints(FOURASPBtn)
FOURASPBtn:SetHeight(25)
FOURASPBtn:SetWidth(75)
FOURASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-500)
FOURASPBtn:SetFontString(FOURASPText)
FOURASPBtn:SetText("Aspect IV")

-- aspect button 5 (no script)
local FIVEASPBtn = CreateFrame("button", "FIVEASPBtn", SheetFrame, "UIPanelButtonTemplate")
local FIVEASPText = FIVEASPBtn:CreateFontString()
FIVEASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
FIVEASPText:SetAllPoints(FIVEASPBtn)
FIVEASPBtn:SetHeight(25)
FIVEASPBtn:SetWidth(75)
FIVEASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-525)
FIVEASPBtn:SetFontString(FIVEASPText)
FIVEASPBtn:SetText("Aspect V")

-- aspect button 6 (no script)
local SIXASPBtn = CreateFrame("button", "SIXASPBtn", SheetFrame, "UIPanelButtonTemplate")
local SIXASPText = SIXASPBtn:CreateFontString()
SIXASPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
SIXASPText:SetAllPoints(SIXASPBtn)
SIXASPBtn:SetHeight(25)
SIXASPBtn:SetWidth(75)
SIXASPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",50,-550)
SIXASPBtn:SetFontString(SIXASPText)
SIXASPBtn:SetText("Aspect VI")

-- Aspect help
local ASPTextAdvice = SheetFrame:CreateFontString()
ASPTextAdvice:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
ASPTextAdvice:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",225,-390)
ASPTextAdvice:SetText("Hit ESC to save Aspect text")

-- aspect master point frame
local ASPFrame = CreateFrame("frame", "ASPFRAME", SheetFrame)
ASPFrame:SetBackdrop{
	bgFile="",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
ASPFrame:SetFrameStrata("Medium")
ASPFrame:SetWidth(250)
ASPFrame:SetHeight(170)
ASPFrame:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",215,-560)

-- aspect editbox 1
local ONEASPBox = CreateFrame("editbox", "ONEASPBox", SheetFrame)
ONEASPBox:Raise()
ONEASPBox:Enable()
ONEASPBox:SetAllPoints(ASPFrame)
ONEASPBox:SetTextInsets(15,15,15,15)
ONEASPBox:SetMultiLine(true)
ONEASPBox:SetText(""..ASPText1.."")
ONEASPBox:SetAutoFocus(false)
ONEASPBox:SetFontObject(ChatFontNormal)
ONEASPBox:SetScript("OnEscapePressed", ONEASPBox_ClearFocus)
ONEASPBox:SetScript("OnEditFocusLost", ONEASPBox_ClearHighlight)
ONEASPBox:SetScript("OnEditFocusGained", ONEASPBox_HighlightText)
ONEASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP1 = ONEASPBox:GetText()
	end
)

-- aspect editbox 2
local TWOASPBox = CreateFrame("editbox", "TWOASPBox", SheetFrame)
TWOASPBox:Raise()
TWOASPBox:Enable()
TWOASPBox:Hide()
TWOASPBox:SetAllPoints(ASPFrame)
TWOASPBox:SetTextInsets(15,15,15,15)
TWOASPBox:SetMultiLine(true)
TWOASPBox:SetText(""..ASPText2.."")
TWOASPBox:SetAutoFocus(false)
TWOASPBox:SetFontObject(ChatFontNormal)
TWOASPBox:SetScript("OnEscapePressed", TWOASPBox_ClearFocus)
TWOASPBox:SetScript("OnEditFocusLost", TWOASPBox_ClearHighlight)
TWOASPBox:SetScript("OnEditFocusGained", TWOASPBox_HighlightText)
TWOASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP2 = TWOASPBox:GetText()
	end
)

-- aspect editbox 3
local THREEASPBox = CreateFrame("editbox", "THREEASPBox", SheetFrame)
THREEASPBox:Raise()
THREEASPBox:Enable()
THREEASPBox:Hide()
THREEASPBox:SetAllPoints(ASPFrame)
THREEASPBox:SetTextInsets(15,15,15,15)
THREEASPBox:SetMultiLine(true)
THREEASPBox:SetText(""..ASPText3.."")
THREEASPBox:SetAutoFocus(false)
THREEASPBox:SetFontObject(ChatFontNormal)
THREEASPBox:SetScript("OnEscapePressed", THREEASPBox_ClearFocus)
THREEASPBox:SetScript("OnEditFocusLost", THREEASPBox_ClearHighlight)
THREEASPBox:SetScript("OnEditFocusGained", THREEASPBox_HighlightText)
THREEASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP3 = THREEASPBox:GetText()
	end
)

-- aspect editbox 4
local FOURASPBox = CreateFrame("editbox", "FOURASPBox", SheetFrame)
FOURASPBox:Raise()
FOURASPBox:Enable()
FOURASPBox:Hide()
FOURASPBox:SetAllPoints(ASPFrame)
FOURASPBox:SetTextInsets(15,15,15,15)
FOURASPBox:SetMultiLine(true)
FOURASPBox:SetText(""..ASPText4.."")
FOURASPBox:SetAutoFocus(false)
FOURASPBox:SetFontObject(ChatFontNormal)
FOURASPBox:SetScript("OnEscapePressed", FOURASPBox_ClearFocus)
FOURASPBox:SetScript("OnEditFocusLost", FOURASPBox_ClearHighlight)
FOURASPBox:SetScript("OnEditFocusGained", FOURASPBox_HighlightText)
FOURASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP4 = FOURASPBox:GetText()
	end
)

-- aspect editbox 5
local FIVEASPBox = CreateFrame("editbox", "FIVEASPBox", SheetFrame)
FIVEASPBox:Raise()
FIVEASPBox:Enable()
FIVEASPBox:Hide()
FIVEASPBox:SetAllPoints(ASPFrame)
FIVEASPBox:SetTextInsets(15,15,15,15)
FIVEASPBox:SetMultiLine(true)
FIVEASPBox:SetText(""..ASPText5.."")
FIVEASPBox:SetAutoFocus(false)
FIVEASPBox:SetFontObject(ChatFontNormal)
FIVEASPBox:SetScript("OnEscapePressed", FIVEASPBox_ClearFocus)
FIVEASPBox:SetScript("OnEditFocusLost", FIVEASPBox_ClearHighlight)
FIVEASPBox:SetScript("OnEditFocusGained", FIVEASPBox_HighlightText)
FIVEASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP5 = FIVEASPBox:GetText()
	end
)

-- aspect editbox 6
local SIXASPBox = CreateFrame("editbox", "SIXASPBox", SheetFrame)
SIXASPBox:Raise()
SIXASPBox:Enable()
SIXASPBox:Hide()
SIXASPBox:SetAllPoints(ASPFrame)
SIXASPBox:SetTextInsets(15,15,15,15)
SIXASPBox:SetMultiLine(true)
SIXASPBox:SetText(""..ASPText6.."")
SIXASPBox:SetAutoFocus(false)
SIXASPBox:SetFontObject(ChatFontNormal)
SIXASPBox:SetScript("OnEscapePressed", SIXASPBox_ClearFocus)
SIXASPBox:SetScript("OnEditFocusLost", SIXASPBox_ClearHighlight)
SIXASPBox:SetScript("OnEditFocusGained", SIXASPBox_HighlightText)
SIXASPBox:SetScript("OnEscapePressed", 
	function(self)
		AenSaves.AenASP6 = SIXASPBox:GetText()
	end
)

-- aspect editbox text load function
function AspectRefresh()
	ASPText1 = AenSaves.AenASP1
	ASPText2 = AenSaves.AenASP2
	ASPText3 = AenSaves.AenASP3
	ASPText4 = AenSaves.AenASP4
	ASPText5 = AenSaves.AenASP5
	ASPText6 = AenSaves.AenASP6
	ONEASPBox:SetText(""..ASPText1.."")
	TWOASPBox:SetText(""..ASPText2.."")
	THREEASPBox:SetText(""..ASPText3.."")
	FOURASPBox:SetText(""..ASPText4.."")
	FIVEASPBox:SetText(""..ASPText5.."")
	SIXASPBox:SetText(""..ASPText6.."")
end

-- aspect button 1 (script)
ONEASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Show()
		TWOASPBox:Hide()
		THREEASPBox:Hide()
		FOURASPBox:Hide()
		FIVEASPBox:Hide()
		SIXASPBox:Hide()
	end
)

-- aspect button 2 (script)
TWOASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Hide()
		TWOASPBox:Show()
		THREEASPBox:Hide()
		FOURASPBox:Hide()
		FIVEASPBox:Hide()
		SIXASPBox:Hide()
	end
)

-- aspect button 3 (script)
THREEASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Hide()
		TWOASPBox:Hide()
		THREEASPBox:Show()
		FOURASPBox:Hide()
		FIVEASPBox:Hide()
		SIXASPBox:Hide()
	end
)

-- aspect button 4 (script)
FOURASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Hide()
		TWOASPBox:Hide()
		THREEASPBox:Hide()
		FOURASPBox:Show()
		FIVEASPBox:Hide()
		SIXASPBox:Hide()
	end
)

-- aspect button 5 (script)
FIVEASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Hide()
		TWOASPBox:Hide()
		THREEASPBox:Hide()
		FOURASPBox:Hide()
		FIVEASPBox:Show()
		SIXASPBox:Hide()
	end
)

-- aspect button 6 (script)
SIXASPBtn:SetScript("OnClick",
	function(self)
		ONEASPBox:Hide()
		TWOASPBox:Hide()
		THREEASPBox:Hide()
		FOURASPBox:Hide()
		FIVEASPBox:Hide()
		SIXASPBox:Show()
	end
)

-- aspect editbox text load function
function AspectRefresh()
	ASPText1 = AenSaves.AenASP1
	ASPText2 = AenSaves.AenASP2
	ASPText3 = AenSaves.AenASP3
	ASPText4 = AenSaves.AenASP4
	ASPText5 = AenSaves.AenASP5
	ASPText6 = AenSaves.AenASP6
	ONEASPBox:SetText(""..ASPText1.."")
	TWOASPBox:SetText(""..ASPText2.."")
	THREEASPBox:SetText(""..ASPText3.."")
	FOURASPBox:SetText(""..ASPText4.."")
	FIVEASPBox:SetText(""..ASPText5.."")
	SIXASPBox:SetText(""..ASPText6.."")
end

-- aspect button hide etc
function AspectButtons()
	if AenSaves.AenLVL >= 1 then
		ONEASPBtn:Show()
		else
		ONEASPBtn:Hide()
	end
	if AenSaves.AenLVL >= 3 then
		TWOASPBtn:Show()
		else
		TWOASPBtn:Hide()
	end
	if AenSaves.AenLVL >= 5 then
		THREEASPBtn:Show()
		else
		THREEASPBtn:Hide()
	end
	if AenSaves.AenLVL >= 7 then
		FOURASPBtn:Show()
		else
		FOURASPBtn:Hide()
	end
	if AenSaves.AenLVL >= 9 then
		FIVEASPBtn:Show()
		else
		FIVEASPBtn:Hide()
	end
	if AenSaves.AenLVL >= 11 then
		SIXASPBtn:Show()
		else
		SIXASPBtn:Hide()	
	end
end

-- stat reload function
function RefreshStats()
	RACEReset()
	CLASSReset()
	EXPGoalReset()
	LevelUp()
	STRBox:SetText(""..AenSaves.AenSTR.."")
	DEXBox:SetText(""..AenSaves.AenDEX.."")
	INTBox:SetText(""..AenSaves.AenINT.."")
	WISBox:SetText(""..AenSaves.AenWIS.."")
	CONBox:SetText(""..AenSaves.AenCON.."")
	CHABox:SetText(""..AenSaves.AenCHA.."")
	RaceBtn:SetText(""..RACEName.."")
	LVLCurrent:SetText("Level: "..AenSaves.AenLVL.."")
	EXPCurrent:SetText("EXP: "..AenSaves.AenEXP.."/"..AenEXPGOAL.."")
	SPLeft:SetText("Remaining stat points: "..AenSaves.AenSP.."")
	AspectButtons()
end

-- Modifier reset master
function RefreshMods()
	STRModReset()
	DEXModReset()
	CONModReset()
	INTModReset()
	WISModReset()
	CHAModReset()
	HPReset()
	MANAReset()
	BLOCKReset()
	DODGEReset()
	MRReset()
	HPText:SetText("HP: "..AenHP.."")
	MANAText:SetText("Mana: "..AenMANA.."")
	BLOCKText:SetText("Block: "..AenBLOCK.."")
	DODGEText:SetText("Dodge: "..AenDODGE.."")
	MRText:SetText("Magic Resist: "..AenMR.."")
	STRModText:SetText("("..STRMod..")")
	DEXModText:SetText("("..DEXMod..")")
	INTModText:SetText("("..INTMod..")")
	WISModText:SetText("("..WISMod..")")
	CONModText:SetText("("..CONMod..")")
	CHAModText:SetText("("..CHAMod..")")
end 

-- Add EXP button (no script)
local AddEXPBtn = CreateFrame("button", "AddEXPBtn", SheetFrame, "UIPanelButtonTemplate")
local AddEXPText = AddEXPBtn:CreateFontString()
AddEXPText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
AddEXPText:SetAllPoints(AddEXPBtn)
AddEXPBtn:SetHeight(25)
AddEXPBtn:SetWidth(100)
AddEXPBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-45)
AddEXPBtn:SetFontString(AddEXPText)
AddEXPBtn:SetText("Add EXP")

-- Add EXP frame
function EXPFrameFire()
local EXPFrame = CreateFrame("frame")
EXPFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
EXPFrame:SetFrameStrata("Medium")
EXPFrame:SetWidth(300)
EXPFrame:SetHeight(130)
EXPFrame:SetPoint("CENTER", UIParent)
EXPFrame:EnableMouse(true)
EXPFrame:SetMovable(true)
EXPFrame:RegisterForDrag("LeftButton")
EXPFrame:SetScript("OnDragStart", EXPFrame.StartMoving)
EXPFrame:SetScript("OnDragStop", EXPFrame.StopMovingOrSizing)

local TempEXPText = EXPFrame:CreateFontString()
TempEXPText:SetFont("Fonts\\FRIZQT__.TTF",18,nil)
TempEXPText:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",150,-40)
TempEXPText:SetText("Add "..TempEXP.." EXP")

local FiftyTempBtn = CreateFrame("button", "FiftyTempBtn", EXPFrame, "UIPanelButtonTemplate")
local FiftyTempText = FiftyTempBtn:CreateFontString()
FiftyTempText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
FiftyTempText:SetAllPoints(FiftyTempBtn)
FiftyTempBtn:SetHeight(30)
FiftyTempBtn:SetWidth(100)
FiftyTempBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",100,-80)
FiftyTempBtn:SetFontString(FiftyTempText)
FiftyTempBtn:SetText("Add 50 EXP")
FiftyTempBtn:SetScript("OnClick",
	function(self)
		TempEXP = TempEXP + 50
		TempEXPText:SetText("Add "..TempEXP.." EXP")
	end
)

local HundredTempBtn = CreateFrame("button", "HundredTempBtn", EXPFrame, "UIPanelButtonTemplate")
local HundredTempText = HundredTempBtn:CreateFontString()
HundredTempText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
HundredTempText:SetAllPoints(HundredTempBtn)
HundredTempBtn:SetHeight(30)
HundredTempBtn:SetWidth(100)
HundredTempBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",100,-110)
HundredTempBtn:SetFontString(HundredTempText)
HundredTempBtn:SetText("Add 100 EXP")
HundredTempBtn:SetScript("OnClick",
	function(self)
		TempEXP = TempEXP + 100
		TempEXPText:SetText("Add "..TempEXP.." EXP")
	end
)

local THundredTempBtn = CreateFrame("button", "THundredTempBtn", EXPFrame, "UIPanelButtonTemplate")
local THundredTempText = THundredTempBtn:CreateFontString()
THundredTempText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
THundredTempText:SetAllPoints(THundredTempBtn)
THundredTempBtn:SetHeight(30)
THundredTempBtn:SetWidth(100)
THundredTempBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",200,-80)
THundredTempBtn:SetFontString(THundredTempText)
THundredTempBtn:SetText("Add 200 EXP")
THundredTempBtn:SetScript("OnClick",
	function(self)
		TempEXP = TempEXP + 200
		TempEXPText:SetText("Add "..TempEXP.." EXP")
	end
)

local FHundredTempBtn = CreateFrame("button", "FHundredTempBtn", EXPFrame, "UIPanelButtonTemplate")
local FHundredTempText = FHundredTempBtn:CreateFontString()
FHundredTempText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
FHundredTempText:SetAllPoints(FHundredTempBtn)
FHundredTempBtn:SetHeight(30)
FHundredTempBtn:SetWidth(100)
FHundredTempBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",200,-110)
FHundredTempBtn:SetFontString(FHundredTempText)
FHundredTempBtn:SetText("Add 500 EXP")
FHundredTempBtn:SetScript("OnClick",
	function(self)
		TempEXP = TempEXP + 500
		TempEXPText:SetText("Add "..TempEXP.." EXP")
	end
)

local EXPCancelBtn = CreateFrame("button", "EXPCancelBtn", EXPFrame, "UIPanelButtonTemplate")
local EXPCancelText = EXPCancelBtn:CreateFontString()
EXPCancelText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
EXPCancelText:SetAllPoints(EXPCancelBtn)
EXPCancelBtn:SetHeight(25)
EXPCancelBtn:SetWidth(60)
EXPCancelBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",45,-43)
EXPCancelBtn:SetFontString(EXPCancelText)
EXPCancelBtn:SetText("Cancel")
EXPCancelBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		TempEXP = 0
	end
)

local EXPDoneBtn = CreateFrame("button", "EXPDoneBtn", EXPFrame, "UIPanelButtonTemplate")
local EXPDoneText = EXPDoneBtn:CreateFontString()
EXPDoneText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
EXPDoneText:SetAllPoints(EXPDoneBtn)
EXPDoneBtn:SetHeight(25)
EXPDoneBtn:SetWidth(60)
EXPDoneBtn:SetPoint("BOTTOM", EXPFrame, "TOPLEFT",255,-43)
EXPDoneBtn:SetFontString(EXPDoneText)
EXPDoneBtn:SetText("Confirm")
EXPDoneBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenEXP = AenSaves.AenEXP + TempEXP
		TempEXP = 0
		RefreshStats()
		RefreshMods()
	end
)
end

-- Add EXP button (script)
AddEXPBtn:SetScript("OnClick",
	function(self)
		EXPFrameFire()
		self:GetParent():Hide()
	end
)

-- race choose button (no script)
local RaceBtn = CreateFrame("button", "RaceBtn", SheetFrame, "UIPanelButtonTemplate")
local RaceBtnText = RaceBtn:CreateFontString()
RaceBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
RaceBtnText:SetAllPoints(RaceBtn)
RaceBtn:SetHeight(25)
RaceBtn:SetWidth(100)
RaceBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-106)
RaceBtn:SetFontString(RaceBtnText)
RaceBtn:SetText(""..RACEName.."")

-- race choose new frame
function RaceFrameFire() 
local ChooseRaceFrame = CreateFrame("frame")
ChooseRaceFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
ChooseRaceFrame:SetFrameStrata("Medium")
ChooseRaceFrame:SetWidth(150)
ChooseRaceFrame:SetHeight(130)
ChooseRaceFrame:SetPoint("CENTER",UIParent)
ChooseRaceFrame:EnableMouse(true)
ChooseRaceFrame:SetMovable(true)
ChooseRaceFrame:RegisterForDrag("LeftButton")
ChooseRaceFrame:SetScript("OnDragStart", ChooseRaceFrame.StartMoving)
ChooseRaceFrame:SetScript("OnDragStop", ChooseRaceFrame.StopMovingOrSizing)

local HumanBtn = CreateFrame("button", "HumanBtn", ChooseRaceFrame, "UIPanelButtonTemplate")
local HumanBtnText = HumanBtn:CreateFontString()
HumanBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
HumanBtnText:SetAllPoints(HumanBtn)
HumanBtn:SetHeight(25)
HumanBtn:SetWidth(100)
HumanBtn:SetPoint("BOTTOM", ChooseRaceFrame, "TOPLEFT",75,-40)
HumanBtn:SetFontString(HumanBtnText)
HumanBtn:SetText("Human")
HumanBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenRACE = 1
		RaceBtn:SetText(""..RACEName.."")
		AenSaves.AenCHA = AenSaves.AenCHA + 1
		RaceChosen = 1
		RefreshStats()
	end
)

local DwarfBtn = CreateFrame("button", "DwarfBtn", ChooseRaceFrame, "UIPanelButtonTemplate")
local DwarfBtnText = DwarfBtn:CreateFontString()
DwarfBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
DwarfBtnText:SetAllPoints(DwarfBtn)
DwarfBtn:SetHeight(25)
DwarfBtn:SetWidth(100)
DwarfBtn:SetPoint("BOTTOM", ChooseRaceFrame, "TOPLEFT",75,-65)
DwarfBtn:SetFontString(DwarfBtnText)
DwarfBtn:SetText("Dwarf")
DwarfBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenRACE = 2
		RaceBtn:SetText(""..RACEName.."")
		AenSaves.AenSTR = AenSaves.AenSTR + 1
		RaceChosen = 1
		RefreshStats()
	end
)

local HelfBtn = CreateFrame("button", "HelfBtn", ChooseRaceFrame, "UIPanelButtonTemplate")
local HelfBtnText = HelfBtn:CreateFontString()
HelfBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
HelfBtnText:SetAllPoints(HelfBtn)
HelfBtn:SetHeight(25)
HelfBtn:SetWidth(100)
HelfBtn:SetPoint("BOTTOM", ChooseRaceFrame, "TOPLEFT",75,-90)
HelfBtn:SetFontString(HelfBtnText)
HelfBtn:SetText("High Elf")
HelfBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenRACE = 3
		RaceBtn:SetText(""..RACEName.."")
		AenSaves.AenINT = AenSaves.AenINT + 1
		RaceChosen = 1
		RefreshStats()
	end
)

local WorgenBtn = CreateFrame("button", "WorgenBtn", ChooseRaceFrame, "UIPanelButtonTemplate")
local WorgenBtnText = WorgenBtn:CreateFontString()
WorgenBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
WorgenBtnText:SetAllPoints(WorgenBtn)
WorgenBtn:SetHeight(25)
WorgenBtn:SetWidth(100)
WorgenBtn:SetPoint("BOTTOM", ChooseRaceFrame, "TOPLEFT",75,-115)
WorgenBtn:SetFontString(WorgenBtnText)
WorgenBtn:SetText("Worgen")
WorgenBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenRACE = 4
		RaceBtn:SetText(""..RACEName.."")
		AenSaves.AenDEX = AenSaves.AenDEX + 1
		RaceChosen = 1
		RefreshStats()
	end
)
end


-- race choose button (script) needs racebonus reset function
RaceBtn:SetScript("OnClick",
	function(self)
		if SPspent == 1 and RaceChosen == 0 then
			RaceFrameFire()
			self:GetParent():Hide()
		elseif SPspent == 1 and RaceChosen == 1 then
			print("Can only choose Race once! do /aenrpg reset to reset your sheet if you wanna re-choose")
		else
			print("Can't choose Race until you've spent all your stat points!")
		end
	end
)


-- class choose button (noscript)
local ClassBtn = CreateFrame("button", "ClassBtn", SheetFrame, "UIPanelButtonTemplate")
local ClassBtnText = ClassBtn:CreateFontString()
ClassBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
ClassBtnText:SetAllPoints(ClassBtn)
ClassBtn:SetHeight(25)
ClassBtn:SetWidth(100)
ClassBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-131)
ClassBtn:SetFontString(ClassBtnText)
ClassBtn:SetText(""..CLASSName.."")

local ClassBonusText = SheetFrame:CreateFontString()
ClassBonusText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
ClassBonusText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",80,-280)
ClassBonusText:SetText("Class Bonus:")

local ClassBonus = SheetFrame:CreateFontString()
ClassBonus:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
ClassBonus:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 80,-295)
ClassBonus:SetText("")

-- class choose new frame
function ClassFrameFire()
local ClassFrame = CreateFrame("frame")
ClassFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
ClassFrame:SetFrameStrata("Medium")
ClassFrame:SetWidth(230)
ClassFrame:SetHeight(130)
ClassFrame:SetPoint("CENTER", UIParent)
ClassFrame:EnableMouse(true)
ClassFrame:SetMovable(true)
ClassFrame:RegisterForDrag("LeftButton")
ClassFrame:SetScript("OnDragStart", ClassFrame.StartMoving)
ClassFrame:SetScript("OnDragStop", ClassFrame.StopMovingOrSizing)

local DruidBtn = CreateFrame("button", "DruidBtn", ClassFrame, "UIPanelButtonTemplate")
local DruidBtnText = DruidBtn:CreateFontString()
DruidBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
DruidBtnText:SetAllPoints(DruidBtn)
DruidBtn:SetHeight(25)
DruidBtn:SetWidth(100)
DruidBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",65,-40)
DruidBtn:SetFontString(DruidBtnText)
DruidBtn:SetText("Druid")
DruidBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 6
		ClassBonus:SetText("+1 Dodge")
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local HunterBtn = CreateFrame("button", "HunterBtn", ClassFrame, "UIPanelButtonTemplate")
local HunterBtnText = HunterBtn:CreateFontString()
HunterBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
HunterBtnText:SetAllPoints(HunterBtn)
HunterBtn:SetHeight(25)
HunterBtn:SetWidth(100)
HunterBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",165,-40)
HunterBtn:SetFontString(HunterBtnText)
HunterBtn:SetText("Hunter")
HunterBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 7
		ClassBonus:SetText("+1 Hit Chance")
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local MageBtn = CreateFrame("button", "MageBtn", ClassFrame, "UIPanelButtonTemplate")
local MageBtnText = MageBtn:CreateFontString()
MageBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
MageBtnText:SetAllPoints(MageBtn)
MageBtn:SetHeight(25)
MageBtn:SetWidth(100)
MageBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",65,-65)
MageBtn:SetFontString(MageBtnText)
MageBtn:SetText("Mage")
MageBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 8
		ClassBonus:SetText("+10 Mana")
		BonusMANA = BonusMANA + 10
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local PaladinBtn = CreateFrame("button", "PaladinBtn", ClassFrame, "UIPanelButtonTemplate")
local PaladinBtnText = PaladinBtn:CreateFontString()
PaladinBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
PaladinBtnText:SetAllPoints(PaladinBtn)
PaladinBtn:SetHeight(25)
PaladinBtn:SetWidth(100)
PaladinBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",165,-65)
PaladinBtn:SetFontString(PaladinBtnText)
PaladinBtn:SetText("Paladin")
PaladinBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 1
		ClassBonus:SetText("+1 Magic Resist")
		BonusMR = BonusMR + 1
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local PriestBtn = CreateFrame("button", "PriestBtn", ClassFrame, "UIPanelButtonTemplate")
local PriestBtnText = PriestBtn:CreateFontString()
PriestBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
PriestBtnText:SetAllPoints(PriestBtn)
PriestBtn:SetHeight(25)
PriestBtn:SetWidth(100)
PriestBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",65,-90)
PriestBtn:SetFontString(PriestBtnText)
PriestBtn:SetText("Priest")
PriestBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 5
		ClassBonus:SetText("+10 Mana")
		BonusMANA = BonusMANA + 10
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local RogueBtn = CreateFrame("button", "RogueBtn", ClassFrame, "UIPanelButtonTemplate")
local RogueBtnText = RogueBtn:CreateFontString()
RogueBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
RogueBtnText:SetAllPoints(RogueBtn)
RogueBtn:SetHeight(25)
RogueBtn:SetWidth(100)
RogueBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",165,-90)
RogueBtn:SetFontString(RogueBtnText)
RogueBtn:SetText("Rogue")
RogueBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 4
		ClassBonus:SetText("+1 Dodge")
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local ShamanBtn = CreateFrame("button", "ShamanBtn", ClassFrame, "UIPanelButtonTemplate")
local ShamanBtnText = ShamanBtn:CreateFontString()
ShamanBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
ShamanBtnText:SetAllPoints(ShamanBtn)
ShamanBtn:SetHeight(25)
ShamanBtn:SetWidth(100)
ShamanBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",65,-115)
ShamanBtn:SetFontString(ShamanBtnText)
ShamanBtn:SetText("Shaman")
ShamanBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 3
		ClassBonus:SetText("+5 Health")
		BonusHP = BonusHP + 5
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

local WarriorBtn = CreateFrame("button", "WarriorBtn", ClassFrame, "UIPanelButtonTemplate")
local WarriorBtnText = WarriorBtn:CreateFontString()
WarriorBtnText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
WarriorBtnText:SetAllPoints(WarriorBtn)
WarriorBtn:SetHeight(25)
WarriorBtn:SetWidth(100)
WarriorBtn:SetPoint("BOTTOM", ClassFrame, "TOPLEFT",165,-115)
WarriorBtn:SetFontString(WarriorBtnText)
WarriorBtn:SetText("Warrior")
WarriorBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenCLASS = 2
		ClassBonus:SetText("+5 Health")
		BonusHP = BonusHP + 5
		RefreshStats()
		RefreshMods()
		ClassBtn:SetText(""..CLASSName.."")
		ClassChosen = 1
	end
)

end

-- class choose button (script)
ClassBtn:SetScript("OnClick",
	function(self)
		if SPspent == 1 and ClassChosen == 0 then
			ClassFrameFire()
			self:GetParent():Hide()
		elseif SPspent == 1 and ClassChosen == 1 then
			print("Can't choose Class more than once! Do /aenrpg reset to reset your char sheet")
		else
			print("Can't choose Class until you've spent all your stat points!")
		end
	end
)


-- spec choose button (noscript)
local SpecBtn = CreateFrame("button", "SpecBtn", SheetFrame, "UIPanelButtonTemplate")
local SpecBtnText = SpecBtn:CreateFontString()
SpecBtnText:SetFont("Fonts\\FRIQZT__.TTF",14,nil)
SpecBtnText:SetAllPoints(SpecBtn)
SpecBtn:SetHeight(25)
SpecBtn:SetWidth(100)
SpecBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",280,-156)
SpecBtn:SetFontString(SpecBtnText)
SpecBtn:SetText(""..SPECName.."")

local SpecBonusText = SheetFrame:CreateFontString()
SpecBonusText:SetFont("Fonts\\FRIZQT__.TTF",14,nil)
SpecBonusText:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",270,-280)
SpecBonusText:SetText("Spec Bonus:")

local ONESpecBonus = SheetFrame:CreateFontString()
ONESpecBonus:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
ONESpecBonus:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 270,-295)
ONESpecBonus:SetText("")

local TWOSpecBonus = SheetFrame:CreateFontString()
TWOSpecBonus:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
TWOSpecBonus:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 270,-310)
TWOSpecBonus:SetText("")

local THREESpecBonus = SheetFrame:CreateFontString()
THREESpecBonus:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
THREESpecBonus:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 270,-325)
THREESpecBonus:SetText("")

-- spec choose new frame
function MageSpecFire() -- class 8
local MageSpecFrame = CreateFrame("frame")
MageSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
MageSpecFrame:SetFrameStrata("Medium")
MageSpecFrame:SetWidth(300)
MageSpecFrame:SetHeight(325)
MageSpecFrame:SetPoint("CENTER", UIParent)
MageSpecFrame:EnableMouse(true)
MageSpecFrame:SetMovable(true)
MageSpecFrame:RegisterForDrag("LeftButton")
MageSpecFrame:SetScript("OnDragStart", MageSpecFrame.StartMoving)
MageSpecFrame:SetScript("OnDragStop", MageSpecFrame.StopMovingOrSizing)

local EvoONEBonus = MageSpecFrame:CreateFontString()
EvoONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
EvoONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-55)
EvoONEBonus:SetText("+1 Spell Damage")

local EvoTWOBonus = MageSpecFrame:CreateFontString()
EvoTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
EvoTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-70)
EvoTWOBonus:SetText("+2 Spell Hit Chance")

local EvoSpecBtn = CreateFrame("button", "EvoSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local EvoSpecBtnText = EvoSpecBtn:CreateFontString()
EvoSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
EvoSpecBtnText:SetAllPoints(EvoSpecBtn)
EvoSpecBtn:SetHeight(25)
EvoSpecBtn:SetWidth(125)
EvoSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",75,-40)
EvoSpecBtn:SetFontString(EvoSpecBtnText)
EvoSpecBtn:SetText("Evoker")
EvoSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 83
		ONESpecBonus:SetText("+1 Spell Damage")
		TWOSpecBonus:SetText("+2 Spell Hit Chance")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Evoker")
		SpecChosen = 1
	end
)

local EnchONEBonus = MageSpecFrame:CreateFontString()
EnchONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
EnchONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-55)
EnchONEBonus:SetText("+1 Arcane Magic")

local EnchTWOBonus = MageSpecFrame:CreateFontString()
EnchTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
EnchTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-70)
EnchTWOBonus:SetText("+1 Enchantment Rolls")

local EnchSpecBtn = CreateFrame("button", "EnchSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local EnchSpecBtnText = EnchSpecBtn:CreateFontString()
EnchSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
EnchSpecBtnText:SetAllPoints(EnchSpecBtn)
EnchSpecBtn:SetHeight(25)
EnchSpecBtn:SetWidth(125)
EnchSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",225,-40)
EnchSpecBtn:SetFontString(EnchSpecBtnText)
EnchSpecBtn:SetText("Enchanter")
EnchSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 81
		ONESpecBonus:SetText("+1 Arcane Magic")
		TWOSpecBonus:SetText("+1 Enchantment Rolls")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Enchanter")
		SpecChosen = 1
	end
)

local DivONEBonus = MageSpecFrame:CreateFontString()
DivONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DivONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-135)
DivONEBonus:SetText("+3 Spell Hit Chance")

local DivTWOBonus = MageSpecFrame:CreateFontString()
DivTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DivTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-150)
DivTWOBonus:SetText("+1 Dodge")

local DivSpecBtn = CreateFrame("button", "DivSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local DivSpecBtnText = DivSpecBtn:CreateFontString()
DivSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
DivSpecBtnText:SetAllPoints(DivSpecBtn)
DivSpecBtn:SetHeight(25)
DivSpecBtn:SetWidth(125)
DivSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",75,-120)
DivSpecBtn:SetFontString(DivSpecBtnText)
DivSpecBtn:SetText("Diviner")
DivSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 82
		ONESpecBonus:SetText("+3 Spell Hit Chance")
		TWOSpecBonus:SetText("+1 Dodge")
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Diviner")
		SpecChosen = 1
	end
)

local AbjONEBonus = MageSpecFrame:CreateFontString()
AbjONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
AbjONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-135)
AbjONEBonus:SetText("+1 Arcane Magic")

local AbjTWOBonus = MageSpecFrame:CreateFontString()
AbjTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
AbjTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-150)
AbjTWOBonus:SetText("+2 Magic Resist")

local AbjSpecBtn = CreateFrame("button", "AbjSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local AbjSpecBtnText = AbjSpecBtn:CreateFontString()
AbjSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
AbjSpecBtnText:SetAllPoints(AbjSpecBtn)
AbjSpecBtn:SetHeight(25)
AbjSpecBtn:SetWidth(125)
AbjSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",225,-120)
AbjSpecBtn:SetFontString(AbjSpecBtnText)
AbjSpecBtn:SetText("Abjurer")
AbjSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 84
		ONESpecBonus:SetText("+1 Arcane Magic")
		TWOSpecBonus:SetText("+2 Magic Resist")
		BonusMR = BonusMR + 2
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Abjurer")
		SpecChosen = 1
	end
)

local TraONEBonus = MageSpecFrame:CreateFontString()
TraONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
TraONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-215)
TraONEBonus:SetText("+1 Arcane Magic")

local TraTWOBonus = MageSpecFrame:CreateFontString()
TraTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
TraTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 75,-230)
TraTWOBonus:SetText("+1 Transmutation Rolls")

local TraSpecBtn = CreateFrame("button", "TraSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local TraSpecBtnText = TraSpecBtn:CreateFontString()
TraSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
TraSpecBtnText:SetAllPoints(TraSpecBtn)
TraSpecBtn:SetHeight(25)
TraSpecBtn:SetWidth(125)
TraSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",75,-200)
TraSpecBtn:SetFontString(TraSpecBtnText)
TraSpecBtn:SetText("Transmuter")
TraSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 85
		ONESpecBonus:SetText("+1 Arcane Magic")
		TWOSpecBonus:SetText("+1 Transmutation Rolls")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Transmuter")
		SpecChosen = 1
	end
)

local IllONEBonus = MageSpecFrame:CreateFontString()
IllONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
IllONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-215)
IllONEBonus:SetText("+1 Arcane Magic")

local IllTWOBonus = MageSpecFrame:CreateFontString()
IllTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
IllTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 225,-230)
IllTWOBonus:SetText("+1 Illusion Rolls")

local IllSpecBtn = CreateFrame("button", "IllSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local IllSpecBtnText = IllSpecBtn:CreateFontString()
IllSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
IllSpecBtnText:SetAllPoints(IllSpecBtn)
IllSpecBtn:SetHeight(25)
IllSpecBtn:SetWidth(125)
IllSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",225,-200)
IllSpecBtn:SetFontString(IllSpecBtnText)
IllSpecBtn:SetText("Illusionist")
IllSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 86
		ONESpecBonus:SetText("+1 Arcane Magic")
		TWOSpecBonus:SetText("+1 Illusion Rolls")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Illusionist")
		SpecChosen = 1
	end
)

local ConjONEBonus = MageSpecFrame:CreateFontString()
ConjONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ConjONEBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 150,-295)
ConjONEBonus:SetText("+1 Arcane Magic")

local ConjTWOBonus = MageSpecFrame:CreateFontString()
ConjTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ConjTWOBonus:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT", 150,-310)
ConjTWOBonus:SetText("+1 Conjuration Rolls")

local ConjSpecBtn = CreateFrame("button", "ConjSpecBtn", MageSpecFrame, "UIPanelButtonTemplate")
local ConjSpecBtnText = ConjSpecBtn:CreateFontString()
ConjSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ConjSpecBtnText:SetAllPoints(ConjSpecBtn)
ConjSpecBtn:SetHeight(25)
ConjSpecBtn:SetWidth(125)
ConjSpecBtn:SetPoint("BOTTOM", MageSpecFrame, "TOPLEFT",150,-280)
ConjSpecBtn:SetFontString(ConjSpecBtnText)
ConjSpecBtn:SetText("Conjurer")
ConjSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 87
		ONESpecBonus:SetText("+1 Arcane Magic")
		TWOSpecBonus:SetText("+1 Conjuration Rolls")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Conjurer")
		SpecChosen = 1
	end
)
end

function PaladinSpecFire() -- class 1
local PalaSpecFrame = CreateFrame("frame")
PalaSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
PalaSpecFrame:SetFrameStrata("Medium")
PalaSpecFrame:SetWidth(300)
PalaSpecFrame:SetHeight(230)
PalaSpecFrame:SetPoint("CENTER", UIParent)
PalaSpecFrame:EnableMouse(true)
PalaSpecFrame:SetMovable(true)
PalaSpecFrame:RegisterForDrag("LeftButton")
PalaSpecFrame:SetScript("OnDragStart", PalaSpecFrame.StartMoving)
PalaSpecFrame:SetScript("OnDragStop", PalaSpecFrame.StopMovingOrSizing)

local JustWEPText = PalaSpecFrame:CreateFontString()
JustWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
JustWEPText:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-52)
JustWEPText:SetText("2h Wep")

local JustONEBonus = PalaSpecFrame:CreateFontString()
JustONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
JustONEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-70)
JustONEBonus:SetText("+2 Melee Hit Chance")

local JustTWOBonus = PalaSpecFrame:CreateFontString()
JustTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
JustTWOBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-85)
JustTWOBonus:SetText("+1 Melee Damage")

local JustTHREEBonus = PalaSpecFrame:CreateFontString()
JustTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
JustTHREEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-100)
JustTHREEBonus:SetText("+1 Holy Damage")

local JustSpecBtn = CreateFrame("button", "JustSpecBtn", PalaSpecFrame, "UIPanelButtonTemplate")
local JustSpecBtnText = JustSpecBtn:CreateFontString()
JustSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
JustSpecBtnText:SetAllPoints(JustSpecBtn)
JustSpecBtn:SetHeight(25)
JustSpecBtn:SetWidth(125)
JustSpecBtn:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT",75,-40)
JustSpecBtn:SetFontString(JustSpecBtnText)
JustSpecBtn:SetText("Justicar")
JustSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 11
		ONESpecBonus:SetText("+2 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Melee Damage")
		THREESpecBonus:SetText("+1 Holy Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Justicar")
		SpecChosen = 1
	end
)

local RedeWEPText = PalaSpecFrame:CreateFontString()
RedeWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
RedeWEPText:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-69)
RedeWEPText:SetText("2h Wep\nOR\n1h Wep & Libram")

local RedeONEBonus = PalaSpecFrame:CreateFontString()
RedeONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
RedeONEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-85)
RedeONEBonus:SetText("+2 Healing")

local RedeTWOBonus = PalaSpecFrame:CreateFontString()
RedeTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
RedeTWOBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-100)
RedeTWOBonus:SetText("+10 Mana")

local RedeSpecBtn = CreateFrame("button", "RedeSpecBtn", PalaSpecFrame, "UIPanelButtonTemplate")
local RedeSpecBtnText = RedeSpecBtn:CreateFontString()
RedeSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
RedeSpecBtnText:SetAllPoints(RedeSpecBtn)
RedeSpecBtn:SetHeight(25)
RedeSpecBtn:SetWidth(125)
RedeSpecBtn:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT",225,-40)
RedeSpecBtn:SetFontString(RedeSpecBtnText)
RedeSpecBtn:SetText("Redemeer")
RedeSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 12
		ONESpecBonus:SetText("+2 Healing")
		TWOSpecBonus:SetText("+10 Mana")
		BonusMANA = BonusMANA + 10
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Redeemer")
		SpecChosen = 1
	end
)

local DefWEPText = PalaSpecFrame:CreateFontString()
DefWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
DefWEPText:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-162)
DefWEPText:SetText("1h Wep + Shield")

local DefONEBonus = PalaSpecFrame:CreateFontString()
DefONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DefONEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-180)
DefONEBonus:SetText("+10 Health")

local DefTWOBonus = PalaSpecFrame:CreateFontString()
DefTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DefTWOBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-195)
DefTWOBonus:SetText("+1 Block")

local DefTHREEBonus = PalaSpecFrame:CreateFontString()
DefTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DefTHREEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 75,-210)
DefTHREEBonus:SetText("+1 Magic Resist")

local DefSpecBtn = CreateFrame("button", "DefSpecBtn", PalaSpecFrame, "UIPanelButtonTemplate")
local DefSpecBtnText = DefSpecBtn:CreateFontString()
DefSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
DefSpecBtnText:SetAllPoints(DefSpecBtn)
DefSpecBtn:SetHeight(25)
DefSpecBtn:SetWidth(125)
DefSpecBtn:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT",75,-150)
DefSpecBtn:SetFontString(DefSpecBtnText)
DefSpecBtn:SetText("Defender")
DefSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 13
		ONESpecBonus:SetText("+10 Health")
		TWOSpecBonus:SetText("+1 Block")
		THREESpecBonus:SetText("+1 Magic Resist")
		BonusHP = BonusHP + 10
		BonusMR = BonusMR + 1
		BonusBLOCK = BonusBLOCK + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Defender")
		SpecChosen = 1
	end
)

local BClericWEPText = PalaSpecFrame:CreateFontString()
BClericWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
BClericWEPText:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-179)
BClericWEPText:SetText("1h Wep + Shield\nOR\n1h Wep + Libram")

local BClericONEBonus = PalaSpecFrame:CreateFontString()
BClericONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BClericONEBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-195)
BClericONEBonus:SetText("+1 to Blessings")

local BClericTWOBonus = PalaSpecFrame:CreateFontString()
BClericTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BClericTWOBonus:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT", 225,-210)
BClericTWOBonus:SetText("+1 Holy Magic")

local BClericSpecBtn = CreateFrame("button", "BClericSpecBtn", PalaSpecFrame, "UIPanelButtonTemplate")
local BClericSpecBtnText = BClericSpecBtn:CreateFontString()
BClericSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
BClericSpecBtnText:SetAllPoints(BClericSpecBtn)
BClericSpecBtn:SetHeight(25)
BClericSpecBtn:SetWidth(125)
BClericSpecBtn:SetPoint("BOTTOM", PalaSpecFrame, "TOPLEFT",225,-150)
BClericSpecBtn:SetFontString(BClericSpecBtnText)
BClericSpecBtn:SetText("Battle-Cleric")
BClericSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 14
		ONESpecBonus:SetText("+1 to Blessings")
		TWOSpecBonus:SetText("+1 Holy Magic")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Battle-Cleric")
		SpecChosen = 1
	end
)
end

function WarriorSpecFire() -- class 2
local WarSpecFrame = CreateFrame("frame")
WarSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
WarSpecFrame:SetFrameStrata("Medium")
WarSpecFrame:SetWidth(300)
WarSpecFrame:SetHeight(230)
WarSpecFrame:SetPoint("CENTER", UIParent)
WarSpecFrame:EnableMouse(true)
WarSpecFrame:SetMovable(true)
WarSpecFrame:RegisterForDrag("LeftButton")
WarSpecFrame:SetScript("OnDragStart", WarSpecFrame.StartMoving)
WarSpecFrame:SetScript("OnDragStop", WarSpecFrame.StopMovingOrSizing)

local ZerkWEPText = WarSpecFrame:CreateFontString()
ZerkWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
ZerkWEPText:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 75,-52)
ZerkWEPText:SetText("Dual 1h Wep")

local ZerkONEBonus = WarSpecFrame:CreateFontString()
ZerkONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ZerkONEBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 75,-70)
ZerkONEBonus:SetText("+1 Melee Hit Chance")

local ZerkTWOBonus = WarSpecFrame:CreateFontString()
ZerkTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ZerkTWOBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 75,-85)
ZerkTWOBonus:SetText("+2 Melee Damage")

local ZerkTHREEBonus = WarSpecFrame:CreateFontString()
ZerkTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ZerkTHREEBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 75,-100)
ZerkTHREEBonus:SetText("-1 Dodge")

local ZerkSpecBtn = CreateFrame("button", "ZerkSpecBtn", WarSpecFrame, "UIPanelButtonTemplate")
local ZerkSpecBtnText = ZerkSpecBtn:CreateFontString()
ZerkSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ZerkSpecBtnText:SetAllPoints(ZerkSpecBtn)
ZerkSpecBtn:SetHeight(25)
ZerkSpecBtn:SetWidth(125)
ZerkSpecBtn:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT",75,-40)
ZerkSpecBtn:SetFontString(ZerkSpecBtnText)
ZerkSpecBtn:SetText("Berserker")
ZerkSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 21
		ONESpecBonus:SetText("+1 Melee Hit Chance")
		TWOSpecBonus:SetText("+2 Melee Damage")
		THREESpecBonus:SetText("-1 Dodge")
		BonusDODGE = BonusDODGE - 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Berserker")
		SpecChosen = 1
	end
)

local ArmsWEPText = WarSpecFrame:CreateFontString()
ArmsWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
ArmsWEPText:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 225,-52)
ArmsWEPText:SetText("2h Wep")

local ArmsONEBonus = WarSpecFrame:CreateFontString()
ArmsONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ArmsONEBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 225,-70)
ArmsONEBonus:SetText("+2 Melee Hit Chance")

local ArmsTWOBonus = WarSpecFrame:CreateFontString()
ArmsTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ArmsTWOBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 225,-85)
ArmsTWOBonus:SetText("+1 Block")

local ArmsSpecBtn = CreateFrame("button", "ArmsSpecBtn", WarSpecFrame, "UIPanelButtonTemplate")
local ArmsSpecBtnText = ArmsSpecBtn:CreateFontString()
ArmsSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ArmsSpecBtnText:SetAllPoints(ArmsSpecBtn)
ArmsSpecBtn:SetHeight(25)
ArmsSpecBtn:SetWidth(125)
ArmsSpecBtn:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT",225,-40)
ArmsSpecBtn:SetFontString(ArmsSpecBtnText)
ArmsSpecBtn:SetText("Master-at-Arms")
ArmsSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 22
		ONESpecBonus:SetText("+2 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Block")
		BonusBLOCK = BonusBLOCK + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Master-at-Arms")
		SpecChosen = 1
	end
)

local VanWEPText = WarSpecFrame:CreateFontString()
VanWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
VanWEPText:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 150,-162)
VanWEPText:SetText("1h Wep + Shield")

local VanONEBonus = WarSpecFrame:CreateFontString()
VanONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
VanONEBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 150,-180)
VanONEBonus:SetText("+10 Health")

local VanTWOBonus = WarSpecFrame:CreateFontString()
VanTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
VanTWOBonus:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT", 150,-195)
VanTWOBonus:SetText("+2 Block")

local VanSpecBtn = CreateFrame("button", "VanSpecBtn", WarSpecFrame, "UIPanelButtonTemplate")
local VanSpecBtnText = VanSpecBtn:CreateFontString()
VanSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
VanSpecBtnText:SetAllPoints(VanSpecBtn)
VanSpecBtn:SetHeight(25)
VanSpecBtn:SetWidth(125)
VanSpecBtn:SetPoint("BOTTOM", WarSpecFrame, "TOPLEFT",150,-150)
VanSpecBtn:SetFontString(VanSpecBtnText)
VanSpecBtn:SetText("Vanguard")
VanSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 23
		ONESpecBonus:SetText("+10 Health")
		TWOSpecBonus:SetText("+1 Block")
		BonusHP = BonusHP + 10
		BonusBLOCK = BonusBLOCK + 2
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Vanguard")
		SpecChosen = 1
	end
)
end

function PriestSpecFire() -- class 5
local PriestSpecFrame = CreateFrame("frame")
PriestSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
PriestSpecFrame:SetFrameStrata("Medium")
PriestSpecFrame:SetWidth(300)
PriestSpecFrame:SetHeight(185)
PriestSpecFrame:SetPoint("CENTER", UIParent)
PriestSpecFrame:EnableMouse(true)
PriestSpecFrame:SetMovable(true)
PriestSpecFrame:RegisterForDrag("LeftButton")
PriestSpecFrame:SetScript("OnDragStart", PriestSpecFrame.StartMoving)
PriestSpecFrame:SetScript("OnDragStop", PriestSpecFrame.StopMovingOrSizing)

local ShdwCastONEBonus = PriestSpecFrame:CreateFontString()
ShdwCastONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ShdwCastONEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 75,-55)
ShdwCastONEBonus:SetText("+1 Spell Hit Chance")

local ShdwCastTWOBonus = PriestSpecFrame:CreateFontString()
ShdwCastTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ShdwCastTWOBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 75,-70)
ShdwCastTWOBonus:SetText("+2 Spell Damage")

local ShdwCastTHREEBonus = PriestSpecFrame:CreateFontString()
ShdwCastTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ShdwCastTHREEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 75,-85)
ShdwCastTHREEBonus:SetText("-2 Healing Received")

local ShdwCastSpecBtn = CreateFrame("button", "ShdwCastSpecBtn", PriestSpecFrame, "UIPanelButtonTemplate")
local ShdwCastSpecBtnText = ShdwCastSpecBtn:CreateFontString()
ShdwCastSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ShdwCastSpecBtnText:SetAllPoints(ShdwCastSpecBtn)
ShdwCastSpecBtn:SetHeight(25)
ShdwCastSpecBtn:SetWidth(125)
ShdwCastSpecBtn:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT",75,-40)
ShdwCastSpecBtn:SetFontString(ShdwCastSpecBtnText)
ShdwCastSpecBtn:SetText("Shadowcaster")
ShdwCastSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 51
		ONESpecBonus:SetText("+1 Spell Hit Chance")
		TWOSpecBonus:SetText("+2 Spell Damage")
		THREESpecBonus:SetText("-2 Healing Received")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Shadowcaster")
		SpecChosen = 1
	end
)

local ClericONEBonus = PriestSpecFrame:CreateFontString()
ClericONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ClericONEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 225,-55)
ClericONEBonus:SetText("+1 Holy Magic")

local ClericTWOBonus = PriestSpecFrame:CreateFontString()
ClericTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ClericTWOBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 225,-70)
ClericTWOBonus:SetText("+1 to Blessings")

local ClericSpecBtn = CreateFrame("button", "ClericSpecBtn", PriestSpecFrame, "UIPanelButtonTemplate")
local ClericSpecBtnText = ClericSpecBtn:CreateFontString()
ClericSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ClericSpecBtnText:SetAllPoints(ClericSpecBtn)
ClericSpecBtn:SetHeight(25)
ClericSpecBtn:SetWidth(125)
ClericSpecBtn:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT",225,-40)
ClericSpecBtn:SetFontString(ClericSpecBtnText)
ClericSpecBtn:SetText("Cleric")
ClericSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 52
		ONESpecBonus:SetText("+1 Holy Magic")
		TWOSpecBonus:SetText("+1 to Blessings")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Cleric")
		SpecChosen = 1
	end
)

local ChapONEBonus = PriestSpecFrame:CreateFontString()
ChapONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ChapONEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 75,-135)
ChapONEBonus:SetText("+2 Healing")

local ChapTWOBonus = PriestSpecFrame:CreateFontString()
ChapTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ChapTWOBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 75,-150)
ChapTWOBonus:SetText("+1 Magic Resist")

local ChapSpecBtn = CreateFrame("button", "ChapSpecBtn", PriestSpecFrame, "UIPanelButtonTemplate")
local ChapSpecBtnText = ChapSpecBtn:CreateFontString()
ChapSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ChapSpecBtnText:SetAllPoints(ChapSpecBtn)
ChapSpecBtn:SetHeight(25)
ChapSpecBtn:SetWidth(125)
ChapSpecBtn:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT",75,-120)
ChapSpecBtn:SetFontString(ChapSpecBtnText)
ChapSpecBtn:SetText("Chaplain")
ChapSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 53
		ONESpecBonus:SetText("+2 Healing")
		TWOSpecBonus:SetText("+1 Magic Resist")
		BonusMR = BonusMR + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Chaplain")
		SpecChosen = 1
	end
)

local InquiONEBonus = PriestSpecFrame:CreateFontString()
InquiONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
InquiONEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 225,-135)
InquiONEBonus:SetText("+2 Spell Hit Chance")

local InquiTWOBonus = PriestSpecFrame:CreateFontString()
InquiTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
InquiTWOBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 225,-150)
InquiTWOBonus:SetText("+1 Holy Magic")

local InquiTHREEBonus = PriestSpecFrame:CreateFontString()
InquiTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
InquiTHREEBonus:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT", 225,-165)
InquiTHREEBonus:SetText("+1 Melee Damage")

local InquiSpecBtn = CreateFrame("button", "InquiSpecBtn", PriestSpecFrame, "UIPanelButtonTemplate")
local InquiSpecBtnText = InquiSpecBtn:CreateFontString()
InquiSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
InquiSpecBtnText:SetAllPoints(InquiSpecBtn)
InquiSpecBtn:SetHeight(25)
InquiSpecBtn:SetWidth(125)
InquiSpecBtn:SetPoint("BOTTOM", PriestSpecFrame, "TOPLEFT",225,-120)
InquiSpecBtn:SetFontString(InquiSpecBtnText)
InquiSpecBtn:SetText("Inquisitor")
InquiSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 54
		ONESpecBonus:SetText("+2 Spell Hit Chance")
		TWOSpecBonus:SetText("+1 Holy Magic")
		THREESpecBonus:SetText("+1 Melee Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Inquisitor")
		SpecChosen = 1
	end
)
end

function HunterSpecFire() -- class 7
local HuntSpecFrame = CreateFrame("frame")
HuntSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
HuntSpecFrame:SetFrameStrata("Medium")
HuntSpecFrame:SetWidth(300)
HuntSpecFrame:SetHeight(230)
HuntSpecFrame:SetPoint("CENTER", UIParent)
HuntSpecFrame:EnableMouse(true)
HuntSpecFrame:SetMovable(true)
HuntSpecFrame:RegisterForDrag("LeftButton")
HuntSpecFrame:SetScript("OnDragStart", HuntSpecFrame.StartMoving)
HuntSpecFrame:SetScript("OnDragStop", HuntSpecFrame.StopMovingOrSizing)

local BladeWEPText = HuntSpecFrame:CreateFontString()
BladeWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
BladeWEPText:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-52)
BladeWEPText:SetText("Dual 1h Wep")

local BladeONEBonus = HuntSpecFrame:CreateFontString()
BladeONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BladeONEBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-70)
BladeONEBonus:SetText("+1 Melee Hit Chance")

local BladeTWOBonus = HuntSpecFrame:CreateFontString()
BladeTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BladeTWOBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-85)
BladeTWOBonus:SetText("+1 Melee Damage")

local BladeTHREEBonus = HuntSpecFrame:CreateFontString()
BladeTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BladeTHREEBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-100)
BladeTHREEBonus:SetText("+1 Block")

local BladeSpecBtn = CreateFrame("button", "BladeSpecBtn", HuntSpecFrame, "UIPanelButtonTemplate")
local BladeSpecBtnText = BladeSpecBtn:CreateFontString()
BladeSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
BladeSpecBtnText:SetAllPoints(BladeSpecBtn)
BladeSpecBtn:SetHeight(25)
BladeSpecBtn:SetWidth(125)
BladeSpecBtn:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT",75,-40)
BladeSpecBtn:SetFontString(BladeSpecBtnText)
BladeSpecBtn:SetText("Bladedancer")
BladeSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 71
		ONESpecBonus:SetText("+1 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Melee Damage")
		THREESpecBonus:SetText("+1 Block")
		BonusBLOCK = BonusBLOCK + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Bladedancer")
		SpecChosen = 1
	end
)

local ShotWEPText = HuntSpecFrame:CreateFontString()
ShotWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
ShotWEPText:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-52)
ShotWEPText:SetText("2h Ranged Wep")

local ShotONEBonus = HuntSpecFrame:CreateFontString()
ShotONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ShotONEBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-70)
ShotONEBonus:SetText("+2 Ranged Hit Chance")

local ShotTWOBonus = HuntSpecFrame:CreateFontString()
ShotTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ShotTWOBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-85)
ShotTWOBonus:SetText("+1 Ranged Damage")

local ShotSpecBtn = CreateFrame("button", "ShotSpecBtn", HuntSpecFrame, "UIPanelButtonTemplate")
local ShotSpecBtnText = ShotSpecBtn:CreateFontString()
ShotSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ShotSpecBtnText:SetAllPoints(ShotSpecBtn)
ShotSpecBtn:SetHeight(25)
ShotSpecBtn:SetWidth(125)
ShotSpecBtn:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT",225,-40)
ShotSpecBtn:SetFontString(ShotSpecBtnText)
ShotSpecBtn:SetText("Dead Shot")
ShotSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 72
		ONESpecBonus:SetText("+2 Ranged Hit Chance")
		TWOSpecBonus:SetText("+1 Ranged Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Dead Shot")
		SpecChosen = 1
	end
)

local BeastWEPText = HuntSpecFrame:CreateFontString()
BeastWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
BeastWEPText:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-162)
BeastWEPText:SetText("2h Ranged Wep")

local BeastONEBonus = HuntSpecFrame:CreateFontString()
BeastONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BeastONEBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-180)
BeastONEBonus:SetText("+1 Pet Level")

local BeastTWOBonus = HuntSpecFrame:CreateFontString()
BeastTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BeastTWOBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 75,-195)
BeastTWOBonus:SetText("+1 Ranged Hit Chance")

local BeastSpecBtn = CreateFrame("button", "BeastSpecBtn", HuntSpecFrame, "UIPanelButtonTemplate")
local BeastSpecBtnText = BeastSpecBtn:CreateFontString()
BeastSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
BeastSpecBtnText:SetAllPoints(BeastSpecBtn)
BeastSpecBtn:SetHeight(25)
BeastSpecBtn:SetWidth(125)
BeastSpecBtn:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT",75,-150)
BeastSpecBtn:SetFontString(BeastSpecBtnText)
BeastSpecBtn:SetText("Beastmaster")
BeastSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 73
		ONESpecBonus:SetText("+1 Pet Level")
		TWOSpecBonus:SetText("+1 Ranged Hit Chance")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Beastmaster")
		SpecChosen = 1
	end
)

local HScoutWEPText = HuntSpecFrame:CreateFontString()
HScoutWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
HScoutWEPText:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-162)
HScoutWEPText:SetText("Dual 1h Wep + 2h Bow/Gun")

local HScoutONEBonus = HuntSpecFrame:CreateFontString()
HScoutONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
HScoutONEBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-180)
HScoutONEBonus:SetText("+2 Ranged Hit Chance")

local HScoutTWOBonus = HuntSpecFrame:CreateFontString()
HScoutTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
HScoutTWOBonus:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT", 225,-195)
HScoutTWOBonus:SetText("+2 Melee Hit Chance")

local HScoutSpecBtn = CreateFrame("button", "HScoutSpecBtn", HuntSpecFrame, "UIPanelButtonTemplate")
local HScoutSpecBtnText = HScoutSpecBtn:CreateFontString()
HScoutSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
HScoutSpecBtnText:SetAllPoints(HScoutSpecBtn)
HScoutSpecBtn:SetHeight(25)
HScoutSpecBtn:SetWidth(125)
HScoutSpecBtn:SetPoint("BOTTOM", HuntSpecFrame, "TOPLEFT",225,-150)
HScoutSpecBtn:SetFontString(HScoutSpecBtnText)
HScoutSpecBtn:SetText("Scout")
HScoutSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 74
		ONESpecBonus:SetText("+2 Ranged Hit Chance")
		TWOSpecBonus:SetText("+2 Melee Hit Chance")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Scout")
		SpecChosen = 1
	end
)
end

function RogueSpecFire() -- class 4
local RogueSpecFrame = CreateFrame("frame")
RogueSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
RogueSpecFrame:SetFrameStrata("Medium")
RogueSpecFrame:SetWidth(300)
RogueSpecFrame:SetHeight(230)
RogueSpecFrame:SetPoint("CENTER", UIParent)
RogueSpecFrame:EnableMouse(true)
RogueSpecFrame:SetMovable(true)
RogueSpecFrame:RegisterForDrag("LeftButton")
RogueSpecFrame:SetScript("OnDragStart", RogueSpecFrame.StartMoving)
RogueSpecFrame:SetScript("OnDragStop", RogueSpecFrame.StopMovingOrSizing)

local AssWEPText = RogueSpecFrame:CreateFontString()
AssWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
AssWEPText:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 75,-52)
AssWEPText:SetText("Dual Dagger")

local AssONEBonus = RogueSpecFrame:CreateFontString()
AssONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
AssONEBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 75,-70)
AssONEBonus:SetText("+1 Melee Hit Chance")

local AssTWOBonus = RogueSpecFrame:CreateFontString()
AssTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
AssTWOBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 75,-85)
AssTWOBonus:SetText("+1 Melee Damage")

local AssTHREEBonus = RogueSpecFrame:CreateFontString()
AssTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
AssTHREEBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 75,-100)
AssTHREEBonus:SetText("+1 Dodge")

local AssSpecBtn = CreateFrame("button", "AssSpecBtn", RogueSpecFrame, "UIPanelButtonTemplate")
local AssSpecBtnText = AssSpecBtn:CreateFontString()
AssSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
AssSpecBtnText:SetAllPoints(AssSpecBtn)
AssSpecBtn:SetHeight(25)
AssSpecBtn:SetWidth(125)
AssSpecBtn:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT",75,-40)
AssSpecBtn:SetFontString(AssSpecBtnText)
AssSpecBtn:SetText("Assassin")
AssSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 41
		ONESpecBonus:SetText("+1 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Melee Damage")
		THREESpecBonus:SetText("+1 Dodge")
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Assassin")
		SpecChosen = 1
	end
)

local DuelWEPText = RogueSpecFrame:CreateFontString()
DuelWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
DuelWEPText:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 225,-72)
DuelWEPText:SetText("Dual 1h Wep\nOR\n1h Wep + Empty")

local DuelONEBonus = RogueSpecFrame:CreateFontString()
DuelONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DuelONEBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 225,-90)
DuelONEBonus:SetText("+2 Melee Hit Chance")

local DuelTWOBonus = RogueSpecFrame:CreateFontString()
DuelTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DuelTWOBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 225,-105)
DuelTWOBonus:SetText("+5 Health")

local DuelTHREEBonus = RogueSpecFrame:CreateFontString()
DuelTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
DuelTHREEBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 225,-120)
DuelTHREEBonus:SetText("+1 Block")

local DuelSpecBtn = CreateFrame("button", "DuelSpecBtn", RogueSpecFrame, "UIPanelButtonTemplate")
local DuelSpecBtnText = DuelSpecBtn:CreateFontString()
DuelSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
DuelSpecBtnText:SetAllPoints(DuelSpecBtn)
DuelSpecBtn:SetHeight(25)
DuelSpecBtn:SetWidth(125)
DuelSpecBtn:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT",225,-40)
DuelSpecBtn:SetFontString(DuelSpecBtnText)
DuelSpecBtn:SetText("Duelist")
DuelSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 42
		ONESpecBonus:SetText("+2 Melee Hit Chance")
		TWOSpecBonus:SetText("+5 Health")
		THREESpecBonus:SetText("+1 Block")
		BonusHP = BonusHP + 5
		BonusBLOCK = BonusBLOCK + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Duelist")
		SpecChosen = 1
	end
)

local RScoutWEPText = RogueSpecFrame:CreateFontString()
RScoutWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
RScoutWEPText:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 150,-172)
RScoutWEPText:SetText("Dual 1h Wep + 2h Bow/Gun")

local RScoutONEBonus = RogueSpecFrame:CreateFontString()
RScoutONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
RScoutONEBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 150,-190)
RScoutONEBonus:SetText("+2 Ranged Hit Chance")

local RScoutTWOBonus = RogueSpecFrame:CreateFontString()
RScoutTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
RScoutTWOBonus:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT", 150,-205)
RScoutTWOBonus:SetText("+2 Melee Hit Chance")

local RScoutSpecBtn = CreateFrame("button", "RScoutSpecBtn", RogueSpecFrame, "UIPanelButtonTemplate")
local RScoutSpecBtnText = RScoutSpecBtn:CreateFontString()
RScoutSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
RScoutSpecBtnText:SetAllPoints(RScoutSpecBtn)
RScoutSpecBtn:SetHeight(25)
RScoutSpecBtn:SetWidth(125)
RScoutSpecBtn:SetPoint("BOTTOM", RogueSpecFrame, "TOPLEFT",150,-160)
RScoutSpecBtn:SetFontString(RScoutSpecBtnText)
RScoutSpecBtn:SetText("Scout")
RScoutSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 43
		ONESpecBonus:SetText("+2 Ranged Hit Chance")
		TWOSpecBonus:SetText("+2 Melee Hit Chance")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Scout")
		SpecChosen = 1
	end
)
end

function ShamanSpecFire() -- class 3
local ShamanSpecFrame = CreateFrame("frame")
ShamanSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
ShamanSpecFrame:SetFrameStrata("Medium")
ShamanSpecFrame:SetWidth(300)
ShamanSpecFrame:SetHeight(250)
ShamanSpecFrame:SetPoint("CENTER", UIParent)
ShamanSpecFrame:EnableMouse(true)
ShamanSpecFrame:SetMovable(true)
ShamanSpecFrame:RegisterForDrag("LeftButton")
ShamanSpecFrame:SetScript("OnDragStart", ShamanSpecFrame.StartMoving)
ShamanSpecFrame:SetScript("OnDragStop", ShamanSpecFrame.StopMovingOrSizing)

local StormWEPText = ShamanSpecFrame:CreateFontString()
StormWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
StormWEPText:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-52)
StormWEPText:SetText("1h Wep + Shield")

local StormONEBonus = ShamanSpecFrame:CreateFontString()
StormONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
StormONEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-70)
StormONEBonus:SetText("+2 Spell Hit Chance")

local StormTWOBonus = ShamanSpecFrame:CreateFontString()
StormTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
StormTWOBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-85)
StormTWOBonus:SetText("+1 Spell Damage")

local StormSpecBtn = CreateFrame("button", "StormSpecBtn", ShamanSpecFrame, "UIPanelButtonTemplate")
local StormSpecBtnText = StormSpecBtn:CreateFontString()
StormSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
StormSpecBtnText:SetAllPoints(StormSpecBtn)
StormSpecBtn:SetHeight(25)
StormSpecBtn:SetWidth(125)
StormSpecBtn:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT",75,-40)
StormSpecBtn:SetFontString(StormSpecBtnText)
StormSpecBtn:SetText("Stormcaller")
StormSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 31
		ONESpecBonus:SetText("+2 Spell Hit Chance")
		TWOSpecBonus:SetText("+1 Spell Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Stormcaller")
		SpecChosen = 1
	end
)

local ElemWEPText = ShamanSpecFrame:CreateFontString()
ElemWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
ElemWEPText:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-52)
ElemWEPText:SetText("1h Wep + Shield")

local ElemONEBonus = ShamanSpecFrame:CreateFontString()
ElemONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ElemONEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-70)
ElemONEBonus:SetText("+1 Healing")

local ElemTWOBonus = ShamanSpecFrame:CreateFontString()
ElemTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ElemTWOBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-85)
ElemTWOBonus:SetText("+1 Spell Damage")

local ElemTHREEBonus = ShamanSpecFrame:CreateFontString()
ElemTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ElemTHREEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-100)
ElemTHREEBonus:SetText("+10 Mana")

local ElemSpecBtn = CreateFrame("button", "ElemSpecBtn", ShamanSpecFrame, "UIPanelButtonTemplate")
local ElemSpecBtnText = ElemSpecBtn:CreateFontString()
ElemSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ElemSpecBtnText:SetAllPoints(ElemSpecBtn)
ElemSpecBtn:SetHeight(25)
ElemSpecBtn:SetWidth(125)
ElemSpecBtn:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT",225,-40)
ElemSpecBtn:SetFontString(ElemSpecBtnText)
ElemSpecBtn:SetText("Elementalist")
ElemSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 32
		ONESpecBonus:SetText("+1 Healing")
		TWOSpecBonus:SetText("+1 Spell Damage")
		THREESpecBonus:SetText("+10 Mana")
		BonusMANA = BonusMANA + 10
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Elementalist")
		SpecChosen = 1
	end
)

local WaveWEPText = ShamanSpecFrame:CreateFontString()
WaveWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
WaveWEPText:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-162)
WaveWEPText:SetText("1h Wep + Shield")

local WaveONEBonus = ShamanSpecFrame:CreateFontString()
WaveONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
WaveONEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-180)
WaveONEBonus:SetText("+2 Healing")

local WaveTWOBonus = ShamanSpecFrame:CreateFontString()
WaveTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
WaveTWOBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 75,-195)
WaveTWOBonus:SetText("+1 Magic Resist")

local WaveSpecBtn = CreateFrame("button", "WaveSpecBtn", ShamanSpecFrame, "UIPanelButtonTemplate")
local WaveSpecBtnText = WaveSpecBtn:CreateFontString()
WaveSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
WaveSpecBtnText:SetAllPoints(WaveSpecBtn)
WaveSpecBtn:SetHeight(25)
WaveSpecBtn:SetWidth(125)
WaveSpecBtn:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT",75,-150)
WaveSpecBtn:SetFontString(WaveSpecBtnText)
WaveSpecBtn:SetText("Wavespeaker")
WaveSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 33
		ONESpecBonus:SetText("+2 Healing")
		TWOSpecBonus:SetText("+1 Magic Resist")
		BonusMR = BonusMR + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Wavespeaker")
		SpecChosen = 1
	end
)

local BShamWEPText = ShamanSpecFrame:CreateFontString()
BShamWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
BShamWEPText:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-179)
BShamWEPText:SetText("Dual 1h Wep\nOR\n2h Wep")

local BShamONEBonus = ShamanSpecFrame:CreateFontString()
BShamONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BShamONEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-195)
BShamONEBonus:SetText("+2 Melee Hit Chance")

local BShamTWOBonus = ShamanSpecFrame:CreateFontString()
BShamTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BShamTWOBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-210)
BShamTWOBonus:SetText("+1 Melee Damage")

local BShamTHREEBonus = ShamanSpecFrame:CreateFontString()
BShamTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BShamTHREEBonus:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT", 225,-225)
BShamTHREEBonus:SetText("+1 Spell Damage")

local BShamSpecBtn = CreateFrame("button", "BShamSpecBtn", ShamanSpecFrame, "UIPanelButtonTemplate")
local BShamSpecBtnText = BShamSpecBtn:CreateFontString()
BShamSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
BShamSpecBtnText:SetAllPoints(BShamSpecBtn)
BShamSpecBtn:SetHeight(25)
BShamSpecBtn:SetWidth(125)
BShamSpecBtn:SetPoint("BOTTOM", ShamanSpecFrame, "TOPLEFT",225,-150)
BShamSpecBtn:SetFontString(BShamSpecBtnText)
BShamSpecBtn:SetText("Battle Shaman")
BShamSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 34
		ONESpecBonus:SetText("+2 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Melee Damage")
		THREESpecBonus:SetText("+1 Spell Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("Battle Shaman")
		SpecChosen = 1
	end
)
end

function DruidSpecFire() -- class 6
local DruidSpecFrame = CreateFrame("frame")
DruidSpecFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
DruidSpecFrame:SetFrameStrata("Medium")
DruidSpecFrame:SetWidth(350)
DruidSpecFrame:SetHeight(230)
DruidSpecFrame:SetPoint("CENTER", UIParent)
DruidSpecFrame:EnableMouse(true)
DruidSpecFrame:SetMovable(true)
DruidSpecFrame:RegisterForDrag("LeftButton")
DruidSpecFrame:SetScript("OnDragStart", DruidSpecFrame.StartMoving)
DruidSpecFrame:SetScript("OnDragStop", DruidSpecFrame.StopMovingOrSizing)

local PawWEPText = DruidSpecFrame:CreateFontString()
PawWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
PawWEPText:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-52)
PawWEPText:SetText("Cat Form")

local PawONEBonus = DruidSpecFrame:CreateFontString()
PawONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
PawONEBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-70)
PawONEBonus:SetText("+1 Melee Hit Chance")

local PawTWOBonus = DruidSpecFrame:CreateFontString()
PawTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
PawTWOBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-85)
PawTWOBonus:SetText("+1 Melee Damage")

local PawTHREEBonus = DruidSpecFrame:CreateFontString()
PawTHREEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
PawTHREEBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-100)
PawTHREEBonus:SetText("+1 Dodge")

local PawSpecBtn = CreateFrame("button", "PawSpecBtn", DruidSpecFrame, "UIPanelButtonTemplate")
local PawSpecBtnText = PawSpecBtn:CreateFontString()
PawSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
PawSpecBtnText:SetAllPoints(PawSpecBtn)
PawSpecBtn:SetHeight(25)
PawSpecBtn:SetWidth(150)
PawSpecBtn:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT",90,-40)
PawSpecBtn:SetFontString(PawSpecBtnText)
PawSpecBtn:SetText("Druid of the Paw")
PawSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 61
		ONESpecBonus:SetText("+1 Melee Hit Chance")
		TWOSpecBonus:SetText("+1 Melee Damage")
		THREESpecBonus:SetText("+1 Dodge")
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("of the Paw")
		SpecChosen = 1
	end
)

local ClawWEPText = DruidSpecFrame:CreateFontString()
ClawWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
ClawWEPText:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 260,-52)
ClawWEPText:SetText("Bear Form")

local ClawONEBonus = DruidSpecFrame:CreateFontString()
ClawONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ClawONEBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 260,-70)
ClawONEBonus:SetText("+20 Health")

local ClawTWOBonus = DruidSpecFrame:CreateFontString()
ClawTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
ClawTWOBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 260,-85)
ClawTWOBonus:SetText("+1 Dodge")

local ClawSpecBtn = CreateFrame("button", "ClawSpecBtn", DruidSpecFrame, "UIPanelButtonTemplate")
local ClawSpecBtnText = ClawSpecBtn:CreateFontString()
ClawSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
ClawSpecBtnText:SetAllPoints(ClawSpecBtn)
ClawSpecBtn:SetHeight(25)
ClawSpecBtn:SetWidth(150)
ClawSpecBtn:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT",260,-40)
ClawSpecBtn:SetFontString(ClawSpecBtnText)
ClawSpecBtn:SetText("Druid of the Claw")
ClawSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 62
		ONESpecBonus:SetText("+20 Health")
		TWOSpecBonus:SetText("+1 Dodge")
		BonusHP = BonusHP + 20
		BonusDODGE = BonusDODGE + 1
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("of the Claw")
		SpecChosen = 1
	end
)

local MoonWEPText = DruidSpecFrame:CreateFontString()
MoonWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
MoonWEPText:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-179)
MoonWEPText:SetText("Staff\nOR\n1h Wep + Offhand")

local MoonONEBonus = DruidSpecFrame:CreateFontString()
MoonONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
MoonONEBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-195)
MoonONEBonus:SetText("+2 Spell Hit Chance")

local MoonTWOBonus = DruidSpecFrame:CreateFontString()
MoonTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
MoonTWOBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 90,-210)
MoonTWOBonus:SetText("+1 Spell Damage")

local MoonSpecBtn = CreateFrame("button", "MoonSpecBtn", DruidSpecFrame, "UIPanelButtonTemplate")
local MoonSpecBtnText = MoonSpecBtn:CreateFontString()
MoonSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
MoonSpecBtnText:SetAllPoints(MoonSpecBtn)
MoonSpecBtn:SetHeight(25)
MoonSpecBtn:SetWidth(150)
MoonSpecBtn:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT",90,-150)
MoonSpecBtn:SetFontString(MoonSpecBtnText)
MoonSpecBtn:SetText("Druid of the Moon")
MoonSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 63
		ONESpecBonus:SetText("+2 Spell Hit Chance")
		TWOSpecBonus:SetText("+1 Spell Damage")
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("of the Moon")
		SpecChosen = 1
	end
)

local BranchWEPText = DruidSpecFrame:CreateFontString()
BranchWEPText:SetFont("Fonts\\FRIZQT__.TTF",9,nil)
BranchWEPText:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 260,-179)
BranchWEPText:SetText("Staff\nOR\n1h Wep + Offhand")

local BranchONEBonus = DruidSpecFrame:CreateFontString()
BranchONEBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BranchONEBonus:SetPoint("BOTTOM",DruidSpecFrame, "TOPLEFT", 260,-195)
BranchONEBonus:SetText("+2 Healing")

local BranchTWOBonus = DruidSpecFrame:CreateFontString()
BranchTWOBonus:SetFont("Fonts\\FRIZQT__.TTF",11,nil)
BranchTWOBonus:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT", 260,-210)
BranchTWOBonus:SetText("+10 Mana")

local BranchSpecBtn = CreateFrame("button", "BranchSpecBtn", DruidSpecFrame, "UIPanelButtonTemplate")
local BranchSpecBtnText = BranchSpecBtn:CreateFontString()
BranchSpecBtnText:SetFont("Fonts\\FRIZQT__.TTF",13,nil)
BranchSpecBtnText:SetAllPoints(BranchSpecBtn)
BranchSpecBtn:SetHeight(25)
BranchSpecBtn:SetWidth(150)
BranchSpecBtn:SetPoint("BOTTOM", DruidSpecFrame, "TOPLEFT",260,-150)
BranchSpecBtn:SetFontString(BranchSpecBtnText)
BranchSpecBtn:SetText("Druid of the Branch")
BranchSpecBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
		SheetFrame:Show()
		AenSaves.AenSPEC = 64
		ONESpecBonus:SetText("+2 Healing")
		TWOSpecBonus:SetText("+10 Mana")
		BonusMANA = BonusMANA + 10
		RefreshStats()
		RefreshMods()
		SpecBtn:SetText("of the Branch")
		SpecChosen = 1
	end
)
end

-- spec choose button (script)
SpecBtn:SetScript("OnClick",
	function(self)
		if SPspent == 1 and ClassChosen == 1 and SpecChosen == 0 then
			if AenSaves.AenCLASS == 1 then
				PaladinSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 2 then
				WarriorSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 3 then
				ShamanSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 4 then
				RogueSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 5 then
				PriestSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 6 then
				DruidSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 7 then
				HunterSpecFire()
				self:GetParent():Hide()
			end
			if AenSaves.AenCLASS == 8 then
				MageSpecFire()
				self:GetParent():Hide()
			end
		elseif SPspent == 1 and ClassChosen == 0 then
			print("Can't choose your Spec before you have a class!")
		elseif SPspent == 1 and ClassChosen == 1 and SpecChosen == 1 then
			print("Can't choose spec more than once! Do /aenrpg reset to reset")
		else
			print("Can't choose Spec before having spent all your stat points!")
		end
	end
)


-- Strength up button (no script)
local STRUpBtn = CreateFrame("button", "STRUpBtn", SheetFrame, "UIPanelButtonTemplate")
local STRUpText = STRUpBtn:CreateFontString()
STRUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
STRUpText:SetAllPoints(STRUpBtn)
STRUpBtn:SetHeight(25)
STRUpBtn:SetWidth(30)
STRUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",180,-106)
STRUpBtn:SetFontString(STRUpText)
STRUpBtn:SetText("+")


-- Dexterity up button (no script)
local DEXUpBtn = CreateFrame("button", "DEXUpBtn", SheetFrame, "UIPanelButtonTemplate")
local DEXUpText = DEXUpBtn:CreateFontString()
DEXUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
DEXUpText:SetAllPoints(DEXUpBtn)
DEXUpBtn:SetHeight(25)
DEXUpBtn:SetWidth(30)
DEXUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",180,-131)
DEXUpBtn:SetFontString(DEXUpText)
DEXUpBtn:SetText("+")


-- Intelligence up button (no script)
local INTUpBtn = CreateFrame("button", "INTUpBtn", SheetFrame, "UIPanelButtonTemplate")
local INTUpText = INTUpBtn:CreateFontString()
INTUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
INTUpText:SetAllPoints(INTUpBtn)
INTUpBtn:SetHeight(25)
INTUpBtn:SetWidth(30)
INTUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 180,-156)
INTUpBtn:SetFontString(INTUpText)
INTUpBtn:SetText("+")


-- Wisdom up button (no script)
local WISUpBtn = CreateFrame("button", "WISUpBtn", SheetFrame, "UIPanelButtonTemplate")
local WISUpText = WISUpBtn:CreateFontString()
WISUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
WISUpText:SetAllPoints(WISUpBtn)
WISUpBtn:SetHeight(25)
WISUpBtn:SetWidth(30)
WISUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 180,-181)
WISUpBtn:SetFontString(WISUpText)
WISUpBtn:SetText("+")


-- Constitution up button (no script)
local CONUpBtn = CreateFrame("button", "CONUpBtn", SheetFrame, "UIPanelButtonTemplate")
local CONUpText = CONUpBtn:CreateFontString()
CONUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
CONUpText:SetAllPoints(CONUpBtn)
CONUpBtn:SetHeight(25)
CONUpBtn:SetWidth(30)
CONUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 180,-206)
CONUpBtn:SetFontString(CONUpText)
CONUpBtn:SetText("+")


-- Charisma up button (no script)
local CHAUpBtn = CreateFrame("button", "CHAUpBtn", SheetFrame, "UIPanelButtonTemplate")
local CHAUpText = CHAUpBtn:CreateFontString()
CHAUpText:SetFont("Fonts\\ARIALN.TTF",14,nil)
CHAUpText:SetAllPoints(CHAUpBtn)
CHAUpBtn:SetHeight(25)
CHAUpBtn:SetWidth(30)
CHAUpBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT", 180,-231)
CHAUpBtn:SetFontString(CHAUpText)
CHAUpBtn:SetText("+")


-- Strength down button (no script)
local STRDownBtn = CreateFrame("button", "STRDownBtn", SheetFrame, "UIPanelButtonTemplate")
local STRDownText = STRDownBtn:CreateFontString()
STRDownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
STRDownText:SetAllPoints(STRDownBtn)
STRDownBtn:SetHeight(25)
STRDownBtn:SetWidth(30)
STRDownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-106)
STRDownBtn:SetFontString(STRDownText)
STRDownBtn:SetText("-")


-- Dexterity down button (no script)
local DEXDownBtn = CreateFrame("button", "DEXDownBtn", SheetFrame, "UIPanelButtonTemplate")
local DEXDownText = DEXDownBtn:CreateFontString()
DEXDownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
DEXDownText:SetAllPoints(DEXDownBtn)
DEXDownBtn:SetHeight(25)
DEXDownBtn:SetWidth(30)
DEXDownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-131)
DEXDownBtn:SetFontString(DEXDownText)
DEXDownBtn:SetText("-")


-- Intelligence down button (no script)
local INTDownBtn = CreateFrame("button", "INTDownBtn", SheetFrame, "UIPanelButtonTemplate")
local INTDownText = INTDownBtn:CreateFontString()
INTDownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
INTDownText:SetAllPoints(INTDownBtn)
INTDownBtn:SetHeight(25)
INTDownBtn:SetWidth(30)
INTDownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-156)
INTDownBtn:SetFontString(INTDownText)
INTDownBtn:SetText("-")


-- Wisdom down button (no script)
local WISDownBtn = CreateFrame("button", "WISDownBtn", SheetFrame, "UIPanelButtonTemplate")
local WISDownText = WISDownBtn:CreateFontString()
WISDownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
WISDownText:SetAllPoints(WISDownBtn)
WISDownBtn:SetHeight(25)
WISDownBtn:SetWidth(30)
WISDownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-181)
WISDownBtn:SetFontString(WISDownText)
WISDownBtn:SetText("-")


-- Constitution down button (no script)
local CONDownBtn = CreateFrame("button", "CONDownBtn", SheetFrame, "UIPanelButtonTemplate")
local CONDownText = CONDownBtn:CreateFontString()
CONDownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
CONDownText:SetAllPoints(CONDownBtn)
CONDownBtn:SetHeight(25)
CONDownBtn:SetWidth(30)
CONDownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-206)
CONDownBtn:SetFontString(CONDownText)
CONDownBtn:SetText("-")


-- Charisma down button (no script)
local CHADownBtn = CreateFrame("button", "CHADownBtn", SheetFrame, "UIPanelButtonTemplate")
local CHADownText = CHADownBtn:CreateFontString()
CHADownText:SetFont("Fonts\\ARIALN.TTF",14,nil)
CHADownText:SetAllPoints(CHADownBtn)
CHADownBtn:SetHeight(25)
CHADownBtn:SetWidth(30)
CHADownBtn:SetPoint("BOTTOM", SheetFrame, "TOPLEFT",210,-231)
CHADownBtn:SetFontString(CHADownText)
CHADownBtn:SetText("-")

-- button hide when not usable function
function StatButtonsHide()
	-- STR UP
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenSTR == 20 then
			STRUpBtn:Hide()
		else
			STRUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenSTR == 30 then
			STRUpBtn:Hide()
		else
			STRUpBtn:Show()
		end
	end
	-- DEX Up
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenDEX == 20 then
			DEXUpBtn:Hide()
		else
			DEXUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenDEX == 30 then
			DEXUpBtn:Hide()
		else
			DEXUpBtn:Show()
		end
	end
	-- INT UP
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenINT == 20 then
			INTUpBtn:Hide()
		else
			INTUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenINT == 30 then
			INTUpBtn:Hide()
		else
			INTUpBtn:Show()
		end
	end
	-- WIS UP
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenWIS == 20 then
			WISUpBtn:Hide()
		else
			WISUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenWIS == 30 then
			WISUpBtn:Hide()
		else
			WISUpBtn:Show()
		end
	end
	-- CON UP
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenCON == 20 then
			CONUpBtn:Hide()
		else
			CONUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenCON == 30 then
			CONUpBtn:Hide()
		else
			CONUpBtn:Show()
		end
	end
	-- CHA UP
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenCHA == 20 then
			CHAUpBtn:Hide()
		else
			CHAUpBtn:Show()
		end
	elseif AenSaves.AenLVL >= 5 then
		if AenSaves.AenCHA == 30 then
			CHAUpBtn:Hide()
		else
			CHAUpBtn:Show()
		end
	end
	-- STR DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenSTR == 8 then
			STRDownBtn:Hide()
		else
		STRDownBtn:Show()
		end
	else
		STRDownBtn:Hide()
	end
	-- DEX DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenDEX == 8 then
			DEXDownBtn:Hide()
		else
			DEXDownBtn:Show()
		end
	else
		DEXDownBtn:Hide()
	end
	-- INT DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenINT == 8 then
			INTDownBtn:Hide()
		else
			INTDownBtn:Show()
		end
	else
		INTDownBtn:Hide()
	end
	-- WIS DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenWIS == 8 then
			WISDownBtn:Hide()
		else
			WISDownBtn:Show()
		end
	else
		WISDownBtn:Hide()
	end
	-- CON DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenCON == 8 then
			CONDownBtn:Hide()
		else
			CONDownBtn:Show()
		end
	else
		CONDownBtn:Hide()
	end
	-- CHA DOWN
	if AenSaves.AenLVL == 4 then
		if AenSaves.AenCHA == 8 then
			CHADownBtn:Hide()
		else
			CHADownBtn:Show()
		end
	else
		CHADownBtn:Hide()
	end
end

-- STR UP script
STRUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenSTR < 20 then
				AenSaves.AenSTR = AenSaves.AenSTR + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenSTR < 30 then
				AenSaves.AenSTR = AenSaves.AenSTR + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- DEX UP script
DEXUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenDEX < 20 then
				AenSaves.AenDEX = AenSaves.AenDEX + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenDEX < 30 then
				AenSaves.AenDEX = AenSaves.AenDEX + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- INT UP script
INTUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenINT < 20 then
				AenSaves.AenINT = AenSaves.AenINT + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenINT < 30 then
				AenSaves.AenINT = AenSaves.AenINT + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- WIS UP script
WISUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenWIS < 20 then
				AenSaves.AenWIS = AenSaves.AenWIS + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenWIS < 30 then
				AenSaves.AenWIS = AenSaves.AenWIS + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- CON UP script
CONUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenCON < 20 then
				AenSaves.AenCON = AenSaves.AenCON + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenCON < 30 then
				AenSaves.AenCON = AenSaves.AenCON + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- CHA UP script
CHAUpBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenLVL == 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenCHA < 20 then
				AenSaves.AenCHA = AenSaves.AenCHA + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			else
			end
		elseif AenSaves.AenLVL > 4 then
			if AenSaves.AenSP > 0 and AenSaves.AenCHA < 30 then
				AenSaves.AenCHA = AenSaves.AenCHA + 1;
				AenSaves.AenSP = AenSaves.AenSP - 1;
				DoneSPFire()
				RefreshStats()
				RefreshMods()
				StatButtonsHide()
			end
		end
	end
)

-- STR DOWN script
STRDownBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenSTR >= 9 then
			AenSaves.AenSTR = AenSaves.AenSTR - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- DEX DOWN script
DEXDownBtn:SetScript("OnClick",
	function (self)
		if AenSaves.AenDEX >= 9 then 
			AenSaves.AenDEX = AenSaves.AenDEX - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- INT DOWN script
INTDownBtn:SetScript("OnClick",
	function (self)
		if AenSaves.AenINT >= 9 then 
			AenSaves.AenINT = AenSaves.AenINT - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- WIS DOWN script
WISDownBtn:SetScript("OnClick",
	function (self)
		if AenSaves.AenWIS >= 9 then 
			AenSaves.AenWIS = AenSaves.AenWIS - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- CON DOWN script
CONDownBtn:SetScript("OnClick",
	function (self)
		if AenSaves.AenCON >= 9 then 
			AenSaves.AenCON = AenSaves.AenCON - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- CHA DOWN script
CHADownBtn:SetScript("OnClick",
	function (self)
		if AenSaves.AenCHA >= 9 then 
			AenSaves.AenCHA = AenSaves.AenCHA - 1;
			AenSaves.AenSP = AenSaves.AenSP + 1;
			DoneSPFire()
			RefreshStats()
			RefreshMods()
			StatButtonsHide()
		else
			StatButtonsHide()
		end
	end
)

-- level up button (script)
LVLUpBtn:SetScript("OnClick",
	function(self)
		if SPspent == 1 then
			if AenSaves.AenLVL == 7
			or AenSaves.AenLVL == 10 
			or AenSaves.AenLVL == 13
			or AenSaves.AenLVL == 16
			or AenSaves.AenLVL == 19 then
				AenSaves.AenLVL = AenSaves.AenLVL + 1;
				AenSaves.AenSP = AenSaves.AenSP +2;
				AenSaves.AenEXP = 0;
				SPspent = 0;
				LVLUpBtn:Hide()
				STRUpBtn:Show()
				DEXUpBtn:Show()
				INTUpBtn:Show()
				WISUpBtn:Show()
				CONUpBtn:Show()
				CHAUpBtn:Show()
				LVLCurrent:SetText("Level: "..AenSaves.AenLVL.."")
				RefreshStats()
				RefreshMods()
			else
				AenSaves.AenLVL = AenSaves.AenLVL + 1;
				AenSaves.AenSP = AenSaves.AenSP +1;
				AenSaves.AenEXP = 0;
				SPspent = 0;
				LVLUpBtn:Hide()
				STRUpBtn:Show()
				DEXUpBtn:Show()
				INTUpBtn:Show()
				WISUpBtn:Show()
				CONUpBtn:Show()
				CHAUpBtn:Show()
				LVLCurrent:SetText("Level: "..AenSaves.AenLVL.."")
				RefreshStats()
				RefreshMods()
			end
		else
		print("Can't level up while still having unused stat points!")
		end
	end
)

-- Done button (script)
DoneSPBtn:SetScript("OnClick",
	function(self)
		if AenSaves.AenSP == 0 then
		SPspent = 1
		STRUpBtn:Hide()
		DEXUpBtn:Hide()
		INTUpBtn:Hide()
		WISUpBtn:Hide()
		CONUpBtn:Hide()
		CHAUpBtn:Hide()
		STRDownBtn:Hide()
		DEXDownBtn:Hide()
		INTDownBtn:Hide()
		WISDownBtn:Hide()
		CONDownBtn:Hide()
		CHADownBtn:Hide()
		DoneSPBtn:Hide()
		RefreshStats()
		RefreshMods()
		else
		print("You still have stat points to spend!")
		end
	end
)

-- Bonus stats frame (temporary item.lua replacement) - called upon through slashcmd
function BonusStatsFire()
SheetFrame:Hide()

local BonusFrame = CreateFrame("frame")
BonusFrame:SetBackdrop{
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {
		left = 11,
		right = 12,
		top = 12,
		bottom = 11
	}
}
BonusFrame:SetFrameStrata("Medium")
BonusFrame:SetWidth(300)
BonusFrame:SetHeight(300)
BonusFrame:SetPoint("CENTER",UIParent)
BonusFrame:EnableMouse(true)
BonusFrame:SetMovable(true)
BonusFrame:RegisterForDrag("LeftButton")
BonusFrame:SetScript("OnDragStart", BonusFrame.StartMoving)
BonusFrame:SetScript("OnDragStop", BonusFrame.StopMovingOrSizing)
end

-- help button
local HelpBtn = CreateFrame("button", "HelpBtn", SheetFrame, "UIPanelButtonTemplate")
local HelpBtnText = HelpBtn:CreateFontString()
HelpBtnText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
HelpBtnText:SetAllPoints(HelpBtn)
HelpBtn:SetHeight(30)
HelpBtn:SetWidth(50)
HelpBtn:SetPoint("BOTTOM", SheetFrame, "BOTTOMLEFT",35,10)
HelpBtn:SetFontString(HelpBtnText)
HelpBtn:SetText("Help")
HelpBtn:SetScript("OnClick",
	function(self)
		print("Check the addons curse page for link to the help sheet!")
		print("/aenrpg to open this window")
		print("/aenrpg reset to reset your character sheet")
	end
)


-- Close Button
local SheetCloseBtn = CreateFrame("button", "SheetCloseBtn", SheetFrame, "UIPanelButtonTemplate")
local SheetCloseText = SheetCloseBtn:CreateFontString()
SheetCloseText:SetFont("Fonts\\FRIZQT__.TTF",12,nil)
SheetCloseText:SetAllPoints(SheetCloseBtn)
SheetCloseBtn:SetHeight(30)
SheetCloseBtn:SetWidth(50)
SheetCloseBtn:SetPoint("BOTTOM", SheetFrame, "BOTTOMRIGHT",-35,10)
SheetCloseBtn:SetFontString(SheetCloseText)
SheetCloseBtn:SetText("Close")
SheetCloseBtn:SetScript("OnClick",
	function(self)
		self:GetParent():Hide()
	end
)

-- Reset function
function AenReset()
	AenSaves.AenSTR = 10
	AenSaves.AenDEX = 10
	AenSaves.AenINT = 10
	AenSaves.AenWIS = 10
	AenSaves.AenCON = 10
	AenSaves.AenCHA = 10
	AenSaves.AenLVL = 4
	AenSaves.AenEXP = 0
	AenSaves.AenSP = 11
	AenSaves.AenRACE = 0
	AenSaves.AenCLASS = 0
	AenSaves.AenSPEC = 0
	AenSaves.AenASP1 = "Not set"
	AenSaves.AenASP2 = "Not set"
	AenSaves.AenASP3 = "Not set"
	AenSaves.AenASP4 = "Not set"
	AenSaves.AenASP5 = "Not set"
	AenSaves.AenASP6 = "Not set"
	SPspent = 0
	TempEXP = 0
	ClassChosen = 0
	RaceChosen = 0
	SpecChosen = 0
	AenHP = 0
	AenMANA = 0
	AenBLOCK = 0
	AenDODGE = 0
	AenMR = 0
	BonusHP = 0
	BonusMANA = 0
	BonusBLOCK = 0
	BonusDODGE = 0
	BonusMR = 0
	STRUpBtn:Show()
	DEXUpBtn:Show()
	INTUpBtn:Show()
	WISUpBtn:Show()
	CONUpBtn:Show()
	CHAUpBtn:Show()
	STRDownBtn:Show()
	DEXDownBtn:Show()
	INTDownBtn:Show()
	WISDownBtn:Show()
	CONDownBtn:Show()
	CHADownBtn:Show()
	LVLUpBtn:Hide()
	RefreshStats()
	RefreshMods()
	ClassBtn:SetText(""..CLASSName.."")
	SpecBtn:SetText("Spec")
	ClassBonus:SetText("")
	ONESpecBonus:SetText("")
	TWOSpecBonus:SetText("")
	THREESpecBonus:SetText("")
	HPText:SetText("HP: "..AenHP.."")
	MANAText:SetText("Mana: "..AenMANA.."")
	BLOCKText:SetText("Block: "..AenBLOCK.."")
	DODGEText:SetText("Dodge: "..AenDODGE.."")
	MRText:SetText("Magic Resist: "..AenMR.."")
	RaceBtn:SetText(""..RACEName.."")
end


-- Initialization 
function AenRPG:OnInitialize()
	if not AenSaves then
		AenSaves = {
			AenSTR = 10,
			AenDEX = 10,
			AenINT = 10,
			AenWIS = 10,
			AenCON = 10,
			AenCHA = 10,
			AenLVL = 4,
			AenEXP = 0,
			AenSP = 11,
			AenRACE = 0,
			AenCLASS = 0,
			AenSPEC = 0,
			AenASP1 = "Not set",
			AenASP2 = "Not set",
			AenASP3 = "Not set",
			AenASP4 = "Not set",
			AenASP5 = "Not set",
			AenASP6 = "Not set"
		};
	end
	if AenSaves.AenSP == 0 then
		STRUpBtn:Hide()
		DEXUpBtn:Hide()
		INTUpBtn:Hide()
		WISUpBtn:Hide()
		CONUpBtn:Hide()
		CHAUpBtn:Hide()
		STRDownBtn:Hide()
		DEXDownBtn:Hide()
		INTDownBtn:Hide()
		WISDownBtn:Hide()
		CONDownBtn:Hide()
		CHADownBtn:Hide()
		DoneSPBtn:Hide()
	end
	RefreshStats()
	RefreshMods()
	AspectRefresh()
end


-- slash command to open
SLASH_AENRPGSLASH1 = '/aenrpg';
function AenSlash(msg, editbox)
	if SheetFrame:IsVisible() then
	else
		SheetFrame:Show()
	end
	if msg == 'reset' then
		AenReset()
	end
	--if msg == 'bonus' then
	--	BonusStatsFire()
	--end
end

SlashCmdList["AENRPGSLASH"] = AenSlash




